brightness is broken on MSI WIND U100

Bug #415023 reported by semon on 2009-08-17
This bug affects 319 people
Affects Status Importance Assigned to Milestone
KDE Base Workspace
Invalid
Undecided
Unassigned
Release Notes for Ubuntu
Medium
Unassigned
gnome-power
Expired
Medium
Fedora
New
Undecided
Unassigned
gnome-settings-daemon (Ubuntu)
Undecided
Unassigned
Nominated for Hardy by Vivek S Panicker
Nominated for Jaunty by marcelo
Nominated for Karmic by Jonathan Reeve
Lucid
Undecided
Unassigned
hal-info (Ubuntu)
Medium
Martin Pitt
Nominated for Hardy by Vivek S Panicker
Nominated for Jaunty by marcelo
Nominated for Karmic by Jonathan Reeve
Lucid
Medium
Martin Pitt
kdebase-workspace (Ubuntu)
Undecided
Unassigned
Nominated for Hardy by Vivek S Panicker
Nominated for Jaunty by marcelo
Nominated for Karmic by Jonathan Reeve
Lucid
Undecided
Unassigned
udev (Ubuntu)
High
Martin Pitt
Nominated for Hardy by Vivek S Panicker
Nominated for Jaunty by marcelo
Nominated for Karmic by Jonathan Reeve
Lucid
High
Martin Pitt
xfce4-power-manager (Ubuntu)
Undecided
Unassigned
Nominated for Hardy by Vivek S Panicker
Nominated for Jaunty by marcelo
Nominated for Karmic by Jonathan Reeve
Lucid
Undecided
Unassigned

Bug Description

Binary package hint: gnome-power-manager

Versions : karmic up to date (08-17-09) with gnome-power-manager version 2.27.5-0ubuntu2

What should happen : brightness should not flash.

What happens :

Brightness changing seems broken on my MSI wind U 100.

First in GDM it starts flashing for a good 30 seconds and then the same problem happened when the Gnome session begins.

Whenever I try to manually change the brightness a bit too fast (using the sliders or the keyboard) it start flashing again.

Related branches

jbob (jbobspam) wrote :

I can confirm this

I've the exact same behavior on my MSI Wind U100 with up-to-date Karmic (Jaunty upgrade installation)

I observe the very same problem on MSI Wind U90x on the up to date Karmic UNR (2009-09-15) system.

Brightness changes back and forth for a while. If you wait, the flashing actually stops, when the battery icon appears, both in GDM screen and in the desktop as well. Combined with notify-osd it is very annoying.

Irene Grammatika (irenegr92) wrote :

The problem remains. MSI U100, daily build karmic-netbook-remix, 2009-09-22

mac (amartin83) wrote :

I have the same on my MSI WIND U100, Karmic up-to-date

semon (simon-renard) on 2009-10-05
Changed in gnome-power-manager (Ubuntu):
status: New → Confirmed
TBEPDb (tbepdb) wrote :

I have the same on my MSI WIND U100, arch up-to-day.
Found describe http://bbs.archlinux.org/viewtopic.php?id=79151. Fix problem rollback udev.

magi (magnus-hagdorn-marsupium) wrote :

I have the same problem on up-to-date Karmic UNR and MSI Wind. For me the flickering doesn't go away. I have I run gnome-power-manager on the command line the flickering stops although it complains that the power manager is already running. after a while of inactivity it starts to flicker again and i need to run gnome-power-manager again for it to go away.

magi (magnus-hagdorn-marsupium) wrote :

ok, if i kill gnome-power-manger the brightness stays the same. ah well, now i don't get notified when the battery runs out...

NateBourgoin (natebourgoin) wrote :

I am having the same problem with a brand new MSI Wind U123. One odd thing is that the behavior did not start occuring until I upgraded the ram of the laptop from 1GB DDR2 667 to 2GB DDR2 800. It may have been coincedence. If there is interest I can swap the old stick back in and see if the problem persists.

Stopping gnome-power-manager stop the flickering, but obviously this is not a good solution

Genowefa Pigwa (gefa-poczta) wrote :

Issuing:

xrandr --output LVDS --set BACKLIGHT_CONTROL combination

makes the flickering disappear.

Capsaicin (ragnarthomsen) wrote :

When I issue the command:
  xrandr --output LVDS1 --set BACKLIGHT_CONTROL combination

I get the following error:

 X Error of failed request: BadName (named color or font does not exist)
  Major opcode of failed request: 149 (RANDR)
  Minor opcode of failed request: 11 (RRQueryOutputProperty)
  Serial number of failed request: 25
  Current serial number in output stream: 25

Any idea?

i figured out that if i kill gnome-power-manager and then restart it with the --no-daemon option the flickering goes away and I get to keep the power manager. very odd....

Alessio Treglia (quadrispro) wrote :

I confirm this, I have a MSI Wind U90.

People,
please stop posting "I confirm" or similar - this bug is ALREADY in status "Confirmed".

It's better to use link "This bug affects me too" (at the top of the page) if you really want to say you experience exactly the same issue.

Is there anybody working on fixing this nasty bug?

Jonathan Reeve (jon-reeve) wrote :

I killed gnome-power-manager and it stops the flickering. I restarted it with the --verbose option and got this output. Posting it here just in case it helps.

Jonathan Reeve (jon-reeve) wrote :

Here's the output I get when I adjust the brightness and the screen starts flickering.

Jonathan Reeve (jon-reeve) wrote :

The errors that get highlighted in red are:

 - using cache for value 62 (probably okay)

 - using cache for value 75 (probably okay)

It seems it's not okay.

I ran gnome-power-manager in a terminal while the screen was flickering, and I got the error (non-verbose mode):

(gnome-power-manager:3346): GLib-GObject-WARNING **: value "nan" of type `gdouble' is invalid or out of range for property `percentage' of type `gdouble'

and while it was flickering I ran

jon@fia:~$ cat /proc/acpi/video/IGD/LCD/brightness
levels: 20 30 40 50 60 70 80 90 100
current: 90
jon@fia:~$ cat /proc/acpi/video/IGD/LCD/brightness
levels: 20 30 40 50 60 70 80 90 100
current: 90
jon@fia:~$ cat /proc/acpi/video/IGD/LCD/brightness
levels: 20 30 40 50 60 70 80 90 100
current: 80
jon@fia:~$ cat /proc/acpi/video/IGD/LCD/brightness
levels: 20 30 40 50 60 70 80 90 100
current: 80

so it looks like the brightness is stuck between two levels, and that a percentage values that are not multiples of 10 cause the screen to flicker. If someone could just figure out a way to round up or round down the percentage values for brightness, that might fix it.

Hfr (hfre) wrote :

Hello

thanks for looking for a solution :-) - hope you may be successful.

I've this problem never seen using Ubuntu 9.04 but now with Ubuntu 9.10 Beta.

My hardware:

Netbook „MSI Wind U100-1616XP Luxury Edition 0011221-SKU201" (gekauft 31.3.09)

Best Regrads from Munich (Germany)

Genowefa Pigwa (gefa-poczta) wrote :

I finally understand what is going on.

The kernel stuffs the keystrokes into the keyboard controller to change the brightness. I have not found this in the kernel source, but putting various numbers to /sys/devices/virtual/backlight/acpi_video0/brightness changes the brightness and makes the halevt -i report the keystrokes.
The gnome-power-manager receives these keystrokes and tries to change the brightness, and as the levels round incorrectly, we have an infinite loop.
There are two possible solutions then:
 - make the gnome-power-manager not attempt to change the brightness on receiving the keystrokes
 - use xrandr --output LVDS --set BACKLIGHT_CONTROL combination
   I have put this line in /etc/X11/Xsession.d/99setbacklittocombination. It works for me. I do not use KMS, for KMS you should put LVDS1 instead of LVDS

Maarten Jongepier (jongep86) wrote :

About you two solutions, but first... thanks

- gnome-power-manager also change the brightness after couple of minutes of inactivity. So it's not only the keys I think

-the xrandr --output LVDS --set BACKLIGHT_CONTROL combination is not working for me because there is no such option as BACKLIGHT_CONTROL (check with xrandr -v --verbose)

You get an error like
  X Error of failed request: BadName (named color or font does not exist)
  Major opcode of failed request: 149 (RANDR)
  Minor opcode of failed request: 11 (RRQueryOutputProperty)
  Serial number of failed request: 25
  Current serial number in output stream: 25

carobeppe (info-enriconeri) wrote :

Hello, I have the same problem over my MSI Wind U100. I noticed, too, that when the desktop is loaded and the brightness box in top right is going crazy, if I press ALT-F1 and I write my login, in the password fields appears ^@^@^@^@^@^@ continuosly; the problem stops when the brightness starts to work properly. Maybe there's a connection between the problems (I.E. something related with the keyboard management that passes a key combination to the gnome-power-manager)?

jpaul (pocketjpaul) wrote :

The solution is:

xrandr --output LVDS --set BACKLIGHT combination

Not BACKLIGHT_CONTROL. And if KMS, use LVDS1 instead of LVDS

Im on a U100. And have what seems to be a quick and nasty work around. For me the problem occurs both on the log in screen and after log in to desktop. I can stop the screen flickering, and make the flickering brightness widget disappear, by pressing the "right click" mouse pad bar (after the desktop is fully up) and holding it for 5-10 seconds. I've no idea why it works, but it does. It is then necessary to delete the new empty folder created by the right click. Hope it works for others. :)

GemNEye (ubuntu-gemneye) wrote :

With a final release about 10-days away this would seem to be a major issue. Although several posters are offering "hack suggestions", I have not seen a post that is really addressing the bug. None of the other competing Operating Systems would be able survive the barrage of bad media this type of bug would generate. I am testing, the latest daily builds, of both Ubuntu Netbook Remix, and Kubuntu Netbook and these releases are far from "final release" form. This thread is really not the forum to get up on my soapbox, but it is aggravating to read all of these "hack" solutions. I really would like Ubuntu to gain more momentum, but when going head-to-head with competing OSes being released within 3-months of each other, Ubuntu is not putting is best face forward.

Zorael (zorael) wrote :

This happens in Kubuntu too, for what it's worth. There is no easy "pkill powerdevil" to stop it, but switching to a tty and back seems to stop the bouncing.

C de-Avillez (hggdh2) wrote :

wrongly filled, marking INVALID

Changed in kdebase-workspace:
status: New → Invalid
Felix Geyer (debfx) wrote :

I think the solution is to add a hal rule to set laptop_panel.brightness_in_hardware = true for the MSI Wind U100.

Zorael (zorael) wrote :

Attaching output of "dmidecode -t system" as per request from debfx in #kubuntu-devel.

xcorex (xcorex) wrote :

Felix Geyer,
How to do it?

Genowefa Pigwa (gefa-poczta) wrote :

My system presents itself in a sligthly different way:

# dmidecode 2.9
SMBIOS 2.4 present.

Handle 0x0001, DMI type 1, 27 bytes
System Information
        Manufacturer: MICRO-STAR INTERNATIONAL CO., LTD
        Product Name: U90/U100
        Version: Ver.001
        Serial Number: FFFFFFFF
        UUID: 00020003-0004-0005-0006-000700080009
        Wake-up Type: Power Switch
        SKU Number: To be filled by O.E.M.
        Family: To be filled by O.E.M.

Handle 0x0023, DMI type 12, 5 bytes
System Configuration Options
        Option 1: To Be Filled By O.E.M.

Handle 0x002B, DMI type 32, 20 bytes
System Boot Information
        Status: No errors detected

Jonathan Reeve (jon-reeve) wrote :

Issuing:

xrandr --output LVDS1 --set BACKLIGHT combination

doesn't seem to do anything at all. The BACKLIGHT values are listed as (0,8), and I can set the backlight by running

xrandr --output LVDS1 --set BACKLIGHT 5

or something, but neither of these commands stops the flickering. So far, the only thing that stops this loop is either (a) killing gnome-power-manager, or (b) clicking on a drop-down menu and holding the mouse button for around 5 seconds. (this works with a context menu too, i.e. right click, as indicated in one of the comments above)

Felix Geyer (debfx) wrote :

Could you please post the output of this command on the WIND U100:
lshal | grep sysfs_path | grep acpi_video

RatSon (materemias) wrote :

  linux.sysfs_path = '/sys/devices/virtual/backlight/acpi_video0' (string)

Felix Geyer (debfx) wrote :

Applying this patch should fix the problem on karmic with gnome-power-manager.

cd /
sudo patch -p0 < /path/to/msi_u100_brightness_in_hardware.patch

Genowefa Pigwa (gefa-poczta) wrote :

Sorry, it does not work.

I quote the fragment of lshal output below, it seems that the property is set, but the screen flashes when I close the lid and then open it again, when BACKLIGHT_CONTROL=kernel

udi = '/org/freedesktop/Hal/devices/computer_backlight'
  info.addons = {'hald-addon-generic-backlight'} (string list)
  info.capabilities = {'laptop_panel'} (string list)
  info.category = 'laptop_panel' (string)
  info.interfaces = {'org.freedesktop.Hal.Device.LaptopPanel'} (string list)
  info.parent = '/org/freedesktop/Hal/devices/computer' (string)
  info.product = 'Generic Backlight Device' (string)
  info.subsystem = 'backlight' (string)
  info.udi = '/org/freedesktop/Hal/devices/computer_backlight' (string)
  laptop_panel.access_method = 'general' (string)
  laptop_panel.brightness_in_hardware = true (bool)
  laptop_panel.num_levels = 9 (0x9) (int)
  linux.hotplug_type = 2 (0x2) (int)
  linux.subsystem = 'backlight' (string)
  linux.sysfs_path = '/sys/devices/virtual/backlight/acpi_video0' (string)

xcorex (xcorex) wrote :

Isn't it a kernel issue?

I can confirm the patch above doesn't help. Backlight still flickers after patch has been applied.

I noticed that when the backlight flickers there is no gnome-power-manager icon in the panel. Restarting g-p-m a number of times until it stops flickering also make the icon appear.

Felix Geyer (debfx) on 2009-10-23
Changed in hal-info (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
Felix Geyer (debfx) wrote :

I'm not sure why my patch doesn't fix the issue with gnome-power-manager but it seems to work with KDE powerdevil (once a patch to respect the brightness_in_hardware property has been uploaded).

The MSI Wind seems to send brightness up/down key events on every brightness change and that's exactly what brightness_in_hardware=true indicates.

Genowefa Pigwa (gefa-poczta) wrote :

In the gnome-power-manager this property is used in gpm-brightness-hal.c, but not in gpm-brightness-xrandr.c. I am not sure how it works - are there two ways to set brigthness, one using hal and another one using xrandr? My system uses the functions in gpm-brightness-xrandr.c

Felix Geyer (debfx) wrote :

I'm marking this bug as fixed for kdebase-workspace (4:4.3.2-0ubuntu7) though it won't actually work until hal-info has been patched.

Changed in kdebase-workspace (Ubuntu):
status: New → Fix Released
gpothier (gpothier) wrote :

Felix, wrt comment #37, wouldn't it be that if brightness changes send key events, the brightness would either go all the way to the max or tho the min when one changes it, rather than oscillating between two values?

Steve Beaulac (steve-sagacity) wrote :

I get this same issue on my MSI-U120 in xubuntu or ubuntu.

So far I know that if I kill hald-addon-generic-backlight everything works great.

So my question is how can you prevent addon from being loaded?

Steve Beaulac (steve-sagacity) wrote :

thanks to Felix Geyer for the patch.

this didn't work right aways since my system is a MSI U120.

here's what I did.. (no need to patch anything)

I created a file in /etc/hal/fdi/information/msi-backlight-fix.fdi

with this content

<?xml version="1.0" encoding="UTF-8"?> <!-- -*- SGML -*- -->
<deviceinfo version="0.2">
  <device>
    <match key="info.category" string="laptop_panel">
      <match key="/org/freedesktop/Hal/devices/computer:system.board.vendor" prefix_ncase="micro-star">
        <match key="/org/freedesktop/Hal/devices/computer:system.board.product" contains_outof="U100;U-100"
          <merge key="laptop_panel.brightness_in_hardware" type="bool">true</merge>
          <remove key="info.addons" type="strlist">hald-addon-generic-backlight</remove>
  </match>
      </match>
    </match>
  </device>
</deviceinfo>

then restarted the hal service (backlight works great)
I changed hardware for board make it more generic.

Jonathan Reeve (jon-reeve) wrote :

Steve, on my U100, killing hald-addon-generic-backlight doesn't seem to affect anything. I tried creating the file you mentioned in #42 as well (added a ">" to line six), but that didn't seem to change anything, either. The screen still flickers whenever gnome-power-manager is running and I change the brightness.

Steve Beaulac (steve-sagacity) wrote :

Sorry for that post, I must had done something else.. cause now It's back.

I just made my bug a duplicate. Don't feel bad Steve, look at the crap I posted.

Guido Berhoerster (gber) wrote :

Looking into this problem I just found four more duplicates of this bug and have counted about 45 people confirming this bug. This issue should at the very least be mentioned in the release notes, given the popularity of the MSI Wind U90, U120, U123, U100 models (as well as the various OEM versions such as the Medion Akoya E1210, Advent 4211, LG X110 etc.) I predict loads of duplicate reports after the release.

Mervin Beng (mervinb) wrote :

Guido's comment is very apt. This type of bug can create very negative perceptions for Ubuntu if it is not at least highlighted in release notes. Just a few days ago a colleague said that he was interested to test out Ubuntu on his netbook (most likely an MSI...) and I had to caution him.

Note: the bug seems to appear in xfce4-power-manager also. I see exactly the same issues when I run xubuntu's power manager.

#Ernesto (akeymer) wrote :

Does anyone have problems with USB detection? ive been running karmic (clean install from alpha) on an MSI100 with no problem till last update. Then the brightness issue started. Also since then my system cant see the USB ports. When i connect something, there is no event on dmesg. I searched this bug and there where at least two people wich had the same TWO problems (USB & brightness). I'm guessing USB problem is in in HAL.th Could both be related?

yze (kawise) wrote :

No USB issue here (U100) - just flashing brightness.
I added (on Ubuntu) the "brightness applet" to my panel, and with it, I can adjust the LCD brightness with no flashing at all.
Also, if you use the function keys and it starts that whole blinking thing, if you then adjust the brightness with the brightness applet on the panel, the blinking stops.

Thank you for the workaround, it works, I am plagued by the USB issue btw.

#Ernesto: it could be #435352?

Giulio Franco (giulio-franco) wrote :

I tried the brightness applet workaround, and it worked.
Then, I clicked on the brightness applet, but then I increased the brightness with the keyboard, and no trouble occurred. I also noticed that the brightness slider prevented the brightness osd from showing up.
This made me question if the trouble wasn't related to the osd, rather than to the power manager.
So I tried to click on the network-manager icon and then change the brightness while the network selection popup was showing. This prevented again the brightness osd from showing up, and, again, no troubles occurred.
The same with every icon on the top panel that prevents the brightness osd from showing up.

Giulio Franco (giulio-franco) wrote :

I confirm what I said: stopping the notify-osd daemon solves the problem.

Christian González (droetker) wrote :

No. "killall notify-osd" helps nothing on my Wind 100.
notify-osd and gnome-power-manager suck about 20-30% CPU each while flickering is there.
killing gnome-power-manager stops the flickering.
But this is just a silly workaround.

Could anyone of the devs say a few words to that, because I think many people just feel ignored here...
Importance is still undecided.
one of the duplicates (Bug #413399) is in "Triaged" state?!

Christian González (droetker) wrote :

marking this as "invalid" in kdebase-workspace because it has nothing to to with this package IMO.
Seeing it as "fixed" is not the right description IMO.

Changed in kdebase-workspace (Ubuntu):
status: Fix Released → Invalid
Jonathan Thomas (echidnaman) wrote :

The Powerdevil portion of this bug was fixed.

Changed in kdebase-workspace (Ubuntu):
status: Invalid → Fix Released

#48 and #50, the USB problem is most likely bug 435352. From what I can tell these two issues are only on the MSI Wind and its clones.

Giulio Franco (giulio-franco) wrote :

To Christian A. Reiter, killall won't work, because notify-ost is a service and ubuntu will automatically restart it. What I did was opening system monitor and stop the process (not, kill, not terminate, just pause). If you want to get rid of it, I think you'll have to edit something else.

#Ernesto (akeymer) wrote :

Thanks Luke & Justin. USB problem is 435352, and doesn't seem related to this bug....
killing notify doesn't seem to work for me. #49 workaround does.

Stephen Warren (srwarren) wrote :

The patch from comment #33 didn't seem to work for me. I don't know if it was a fluke, but it appeared to prevent my X login from working correctly; it just hung after removing all the gdm windows and with a brightness notification on-screen. After removing the patch from a text console and rebooting, login worked fine again...

I too have useless USB ports on a U100. I don't know whether this problem and that one are connected. That bug also seems to have about a dozen duplicates. But I figure neither problem is worth getting outraged about until after the final release... :)

Well actually there is a very big 'Download the Beta' button, and there are 3 days to go, so I won't say that this is not a problem that has to be fixed as soon as possible, I don't mind these issues cause I can work around them, but tell them to the average users, they are the ones that can get outraged, and assume that the whole system is broken because of this.

BTW, the USB issue and the Webcam issue annoys me too. I's also very embarrassing to tell people that I'm using Ubuntu on my netbook, but currently my the screen flickers and none of my USB drives and built in Webcam are working. What should I tell them?

[off]every ubuntu release seems to break some previously working Webcam drivers, it's like a really bad habbit[/off]

mac (amartin83) wrote :

Does anyone here with MSI Wind U100 suffer also for lack of eth0/LAN?? Cause I am for about a month now and it's pissing me off.

David Planella (dpm) wrote :

> Does anyone here with MSI Wind U100 suffer also for lack of eth0/LAN??

mac,

I'd recommend opening a separate bug for that (if there isn't already one), otherwise it makes it not easy for developers to track several issues in one same bug.

Thanks.

tags: added: regression-potential ubuntu-unr
Guido Berhoerster (gber) wrote :

A possible workaround to avoid the flicker (at least in my case) is to disable kernel modesetting, that way g-p-m does not seem to get out of sync, although it is still buggy in that each brightness keypress is handeled twice, that is both by g-p-m and in hardware.

The main problem is making g-p-m not react to the brightness key presses. The MSI Wind apparently handles them in the BIOS while still passing through keypress events which are noticed and reacted upon by g-p-m. Adding the brightness_in_hardware setting to HAL is not a proper solution because the Intel xorg driver supports handling the backlight through xrandr which g-p-m prefers over HAL and HAL support will most likely be dropped from g-p-m once all other drivers support this through xrandr as well.

An please STOP spamming this bug with pointless and completely irrelevant comments, it makes the ubuntu bugtracker such a pain to use when one has to wade through dozens if not hundreds of posts to find some relevant information.

Juan Diego (juandarias) wrote :

Disabling KMS worked for me. Just have to disable on grub and flickering is gone. The problem is that also the sliders in Power Manager disappeared, so i dont have anyway to control screen brightness.

mac (amartin83) wrote :

>> Does anyone here with MSI Wind U100 suffer also for lack of eth0/LAN??
>
>mac,
>
>I'd recommend opening a separate bug for that (if there isn't already one), otherwise it makes it not easy for developers to track >several issues in one same bug.
>
>Thanks.

David,

I did that some time ago, but someone by I guess mistake put it to problem section. So I asked if I am alone. If Yes new install probably will solve this problem. I tried to install drivers, but couldn't be installed. But it is another problem.

To the oryginal one, It's strange that this problem is for so long and nothing helps ... 2 days to new release!!

Jonathan Reeve (jon-reeve) wrote :

#65, getting g-p-m not to react to key presses would be an improvement, but for me at least (and I'm guessing everyone else with this bug?) the screen flickers in the GDM login screen, before I press any brightness keys or attempt to control the brightness at all. So the problem seems to me to be more fundamental than just how the system reacts to keystrokes. I think it's just how g-p-m rounds the numbers for the brightness values.

Guido Berhoerster (gber) wrote :

Once again, you do not need to press a key, if you adjust the brightness in software the hardware emits a keypress.

The main issue is that brightness adjustments need to be either handled in hardware or in software, i.e. by g-p-m, powerdevil etc, and that right now it is handled by both. This is broken in 9.04 as well, using the keys you effectively get only 4 brightness levels although it is capable of 8, there is just no flickering, which seems to be caused by a rounding bug when using kernel modesetting.

The solution as I see it is that either MSI updates their BIOS or g-p-m and friends do not attempt to handle it. I don't know the equivalent of setting laptop_panel.brightness_in_hardware to true in HAL when using xrandr. I have asked on the gpm list but really don't have time to investigate any more into this.

AlexeiK (deep414) wrote :

I believe that this bug reports itself only on MSI WIND machines, I suspect that it could relate to BIOS version. So could you please report which level of BIOS do you have?

I have Version 1.23.1109

sovaby (sovaby) wrote :

I have latest BIOS 1.0E release date 23-9-2009 MSI WIND U100

and I have the same bug.

maxadamo (massimilianoadamo) wrote :

It's X server issue (driver or whatever else).

I have the same bug, and I installed the latest available BIOS from MSI two days ago.
1. it's not a BIOS problem in any way as i worked with Jaunty and it works with Leopard and Windows.
2. it's not a gnome/kde problem as you get the same problem if you issue the command:
echo XX > /proc/acpi/video/IGD/LCD/brightness (where XX= 100 or 80 ... 60)
3. if you run the echo command above from a tty (instead of X server), of if you use FN keys from tty, it works perfectly.

It happens only from a X session..... and thereby it's issue with X server.

The workaround is to type Ctrl+F1 and then Ctrl+F7

maxadamo (massimilianoadamo) wrote :

I would also say that I tried to disable and enable UXA and it didn't help.

csiktor (chakyba) wrote :

This bug if very annoying... The only way for me to stop the blinking is "killall gnome-power-manager"...
It has got disadvantages, but it works.
I'm waiting for the final version, i hope it solves this problem. I make an update every day, but if i start the update manager, the blinking comes back, and the g-p-m starts again. :) Why?

Nadav Halwany (nvh) wrote :

maxadamo , I don't think it's an X server issue.
In recovery mode, I run:
xinit /usr/bin/xterm -e watch -n1 cat /proc/acpi/video/IGD/LCD/brightness
It runs just fine, and I can play with the brightness without a problem.

Steve Langasek (vorlon) wrote :

Just a shot in the dark, here... if you run 'echo 4 > /proc/acpi/video/IGD/DOS', does this help?

Steve Langasek (vorlon) wrote :

Jonathan, what do you suggest for the text of the release notes here? This bug doesn't seem completely triaged yet, to me, so it's difficult to say anything more than "brightness controls don't work" - I'm not sure that warrants a mention in the release notes, users will find that out quickly enough and there doesn't seem to be a workaround available here yet?

Changed in ubuntu-release-notes:
importance: Undecided → Medium
status: New → Incomplete
xcorex (xcorex) wrote :

Medium? Its high! For yesterday!
Its a realy shame this bug for the average user. The netbook got completly **unusable**. Dosn't it an impressive reason?

By the way, the average user dont know what is a "release note". At the least ubuntu should mention it.
And more, all these workaround suck, cause it need to be done over and over again at every reboot or problem.
How can we help with informations about this very annoying bug?

xcorex (xcorex) wrote :

While flickering:
[ro@HolyGhost ~]$ cat /proc/acpi/video/IGD/LCD/brightness
levels: 20 30 40 50 60 70 80 90 100
current: 80
[ro@HolyGhost ~]$ cat /proc/acpi/video/IGD/LCD/brightness
levels: 20 30 40 50 60 70 80 90 100
current: 70

[ro@HolyGhost ~]$ sudo dmidecode -t system
# dmidecode 2.9
SMBIOS 2.4 present.

Handle 0x0001, DMI type 1, 27 bytes
System Information
 Manufacturer: MICRO-STAR INTERNATIONAL CO., LTD
 Product Name: MS-N033
 Version: Ver.001
 Serial Number: FFFFFFFF
 UUID: 00000000-0000-0000-0000-00242164272F
 Wake-up Type: Power Switch
 SKU Number: To be filled by O.E.M.
 Family: To be filled by O.E.M.

Handle 0x0023, DMI type 12, 5 bytes
System Configuration Options
 Option 1: To Be Filled By O.E.M.

Handle 0x002B, DMI type 32, 20 bytes
System Boot Information
 Status: No errors detected

Guido Berhoerster (gber) wrote :

Please read comment 37, comment 65 and comment 69. The problem has been completely triaged, the MSI Wind handles brightness through the BIOS BUT each change of brightness levels also emits a keypress event which is then handled by gnome-power-manager, powerdevil, or xfce4-power-manager. There are two different problems:

The first issue with this is that each keypress changes brightness twice, resulting effectively in only 4 instead of 8 levels that the hardware is capable of. This is happens with all previous releases of Ubuntu as well.

The second issue is new in 9.10 and has been intoduced with kernel modesetting, that is gnome-power-manager and equivalents start switching back and forth between two adjacent brightness levels either due to a rounding bug or feedback loop (remeber that each time brightness levels are changed in software keypresses are emitted as well).

There is actually a workaround for the second issue (the flickering people report over and over) and that is disabling kernel modesetting by passing nomodeset to the kernel at boot time.

The solution to this problem is that power management software needs to be told that the brightness keys are handled in hardware. In the past this could be done by setting the HAL property laptop_panel.brightness_in_hardware to true as Felix Geyer has pointed out, however this is not read by gnome-power-manager because it handles the backlight through xrandr instead of HAL.

xcorex (xcorex) wrote :

Guido,

This nomodeset "workaround" dont solve the problem. It just hide it a little.
Yes, when the X start there are no more flickering, but, if you lift you will see your screen flickering again.

So, I think it need a high importance here, cause lot of MSI users will be affected.

MSI Wind U123 here with an updated beta.

Guido Berhoerster (gber) wrote :

A workaround is per defintion not a solution to the underlying problem which I and others have described a couple of times.

However, with kernel modesetting disabled I have not been able to reproduce the second issue that I mentioned in comment #80. Can you please describe how to reproduce the flickering that you experience while kms is disabled?

xcorex (xcorex) wrote :

Agree.

I mean, it happen when I close the lid and open it again.

yze (kawise) wrote :

My 'workaround' is to set the brightness level in 'System-Preferences-Power Management' to '0 %'.
I also have turned off all options in there for Dimming the display or reducing brightness.
This stops the flashing at startup, or when coming out of suspend.

Then add the 'brightness applet' to the panel, and adjust the brightness level with this.
If you use the brightness applet to adjust the brightness level, it does not do the flashing thing.

However.....
I don't really think that this 'workaround' is an acceptable solution for the average user.
If an average user installs the system and it starts flashing crazily at them, that is a bad impression, and not one that encourages them to keep using the operating system.....

KatzMatt (katsumai+launchpad) wrote :

While flashing, key repeat also doesn't work. U100plus

Jared Biel (sylvester-0) wrote :

I can't believe that this bug is going to make it into Karmic final :( I just helped a friend of mine get rid of his spyware ridden Windows install by installing Karmic RC remotely and fully updated it. I was sad to hear that the screen was flickering when it restarted. I tried the HAL patch listed above to no avail. This bug was not present in Jaunty.

Steve Langasek (vorlon) wrote :

Documented at <https://wiki.ubuntu.com/KarmicKoala/ReleaseNotes#Brightness%20flickering%20on%20MSI%20Wind%20netbooks%20with%20KMS>:

A bug in the kernel-mode-setting (KMS) brightness handling on certain MSI Wind netbooks, including the U90, U100, and U120, results in a bad flickering effect whenever the brightness is changed on the desktop, as the brightness is repeatedly raised and then lowered. Users affected by this issue can use the same workaround as described in the previous note to disable KMS. (Bug:415023)

Changed in ubuntu-release-notes:
status: Incomplete → Fix Released
Steve Langasek (vorlon) wrote :

If this is an issue specific to KMS, shouldn't we regard this as a kernel bug instead of a hal-info bug?

affects: hal-info (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
assignee: Martin Pitt (pitti) → nobody
importance: Undecided → High
Guido Berhoerster (gber) wrote :

Disabling KMS just makes the problem appear less often. This is ultimately a bug in the MSI BIOS, if it chooses to handle the brightness keys in hardware it shouldn't emit keypress events. The power managers such as g-p-m, powerdevel, and xfce4-power-manager need to be told to work around this. For powerdevil patching hal-info would be sufficient as Felix Geyer has suggested, gnome-power-manager doesn't read this because it uses xrandr instead of HAL so I don't know how to fix it. Regarding xfce4-power-manager I don't know either.

This bug is filed against powerdevil, gnome-power-manager, xfce4-power-manager, and hal-info and these need to be fixed.

yze (kawise) wrote :

@Steve - Thankyou for the 'nomodeset' option, this works well....

@Guido - I appreciate what you are saying, however as an end user.....
This 'bug in the MSI bios' does not seem to be a problem on XP, Vista, Windows 7, or for that matter Ubuntu 9.04.
Therefore, as an end user, when I install Ubuntu 9.10 and the problem occurs, whether it is a 'bug in the MSI bios' or not, the perception is that it is a problem with 9.10, and it seems hard to convince someone that it is not, when it works fine with the othe o/s's.

semon (simon-renard) wrote :

@Guido - I don't understand why a BIOS bug would affect Karmic and not Jaunty...

On Thu, Oct 29, 2009 at 11:00:21AM -0000, Guido Berhoerster wrote:
> Disabling KMS just makes the problem appear less often. This is
> ultimately a bug in the MSI BIOS, if it chooses to handle the brightness
> keys in hardware it shouldn't emit keypress events. The power managers
> such as g-p-m, powerdevel, and xfce4-power-manager need to be told to
> work around this. For powerdevil patching hal-info would be sufficient
> as Felix Geyer has suggested, gnome-power-manager doesn't read this
> because it uses xrandr instead of HAL so I don't know how to fix it.

I agree that the BIOS shouldn't both handle the brightness keys in hardware
and emit a keypress event. However, the kernel mediates these keypress
events - doesn't it make more sense to fix up the kernel to suppress
known-bogus keypress events, once for all, instead of requiring each
userspace power manager to quirk this separately?

Also, could anyone try the change suggested in #76 and let me know if it
makes a difference? It's a longshot that probably won't change anything at
all (that setting is only supposed to control brightness handling on *power*
state changes), but we might as well rule that out.

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

Martin Pitt (pitti) wrote :

> doesn't it make more sense to fix up the kernel to suppress known-bogus keypress events

This would mean that userspace does not learn about brightness changes at all, though. I. e. we couldn't give feedback in the form of notification bubbles, or update the brightness level in the brightness applet, etc. Certainly not the end of the world, but AFAIUI this has been the main reason why the key events are still present.

Of course it would be great if something would tell us that the keys are already handled in hardware. hal-info did that before, but it seems that g-p-m stopped making use of this.

Martin Pitt (pitti) wrote :

So for the non-KMS case (using the hal backend), we should add the brightness_in_hardware quirk. For the KMS case this is not a bug in g-p-m, but in XBACKLIGHT/i915.ko, as far as I can see.

affects: gnome-power-manager (Ubuntu) → hal-info (Ubuntu)
Changed in hal-info (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
importance: Undecided → Medium
status: Confirmed → Triaged
Changed in xfce4-power-manager (Ubuntu):
status: New → Invalid
Martin Pitt (pitti) wrote :
Changed in hal-info (Ubuntu):
status: Triaged → Fix Committed
Jorge Juan (jjchico) wrote :

@Steve - 'echo 4 > /proc/acpi/video/IGD/DOS' does not help. I tried on a terminal and on /etc/rc.local.

Good try.

yze (kawise) wrote :

@steve
echo 4 > /proc/acpi/video/IGD/DOS
bash: /proc/acpi/video/IGD/DOS: Permission denied
andrew@msiu:~$ sudo echo 4 > /proc/acpi/video/IGD/DOS
bash: /proc/acpi/video/IGD/DOS: Permission denied

Martin Pitt (pitti) wrote :

yze [2009-10-29 12:06 -0000]:
> @steve
> echo 4 > /proc/acpi/video/IGD/DOS
> bash: /proc/acpi/video/IGD/DOS: Permission denied

That needs superuser privileges. Please try

  echo 4 | sudo tee /proc/acpi/video/IGD/DOS

If that is too magical for you, you can also do

  $ sudo -i
  # echo 4 > /proc/acpi/video/IGD/DOS

> andrew@msiu:~$ sudo echo 4 > /proc/acpi/video/IGD/DOS

This doesn't work. This only runs "echo" as root (which is
unnecessary), the ">" (output redirection) is processed by the shell
(bash) which doesn't run as root.

yze (kawise) wrote :

@Martin,
Thanks for that tip...
The command ran with no issue, but had no effect on the blinking - did I need to reboot after that?
... I'll reboot and report back....

yze (kawise) wrote :

Nope, the reboot made no difference, I will go back to the nomodeset in grub, as that seems to work fine.

Martin Pitt (pitti) wrote :

yze [2009-10-29 13:11 -0000]:
> @Martin, Thanks for that tip... The command ran with no issue, but
> had no effect on the blinking - did I need to reboot after that?

No, this command won't survive a reboot, it just changes a parameter
in the running kernel.

No effect here either.

Changed in hal-info (Ubuntu):
status: Fix Committed → Fix Released

So can someone point me to the "best" workaround? I'm going with #84 so far, but I just wanted to check.

I just helped someone get wubi-Ubuntu-Karmic on their U120 and this bug could be a show stopper for Ubuntu exploration.

Thanks!

Shannon VanWagner
humans enabled

xcorex (xcorex) wrote :

As a U123 user I can tell, with no irony here, that the best "workaround" is a regression to 9.04. And I think that MSI Wind users should be advised in the release note to remain on Ubuntu 9.04 instead of upgrading to 9.10.

If you set a nomodeset parameter at boot you can hide the problem, but cant lift. Moreover, the flickering happens after the screensaver ends.

yze (kawise) wrote :

@Martin or Steve
How do I reverse that "echo 4" command, as my suspend has stopped working, and the only things I have done are the echo command and the "nomodeset" on grub.
I have tried removing "nomodeset" in grub, but the suspend is still not working.
I presume that I need to send a different number to /proc/acpi/video/IGD/DOS, but I don't know which one....
ta

Steve Langasek (vorlon) wrote :

On Thu, Oct 29, 2009 at 11:31:34PM -0000, yze wrote:

> How do I reverse that "echo 4" command, as my suspend has stopped working,
> and the only things I have done are the echo command and the "nomodeset"
> on grub. I have tried removing "nomodeset" in grub, but the suspend is
> still not working. I presume that I need to send a different number to
> /proc/acpi/video/IGD/DOS, but I don't know which one....

This setting does not persist across reboots, so if you've already made
changes to grub and rebooted, then the DOS setting is not related to your
problem.

Also, the documented difference between 4 and 0 (the in-kernel default) is
only whether the BIOS changes the screen brightness on power events, so it
shouldn't have anything to do with your suspend/resume anyway...

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

Steve Langasek (vorlon) wrote :

On Thu, Oct 29, 2009 at 11:04:02PM -0000, xcorex wrote:
> If you set a nomodeset parameter at boot you can hide the problem, but
> cant lift.

What do you mean, "lift"?

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

Changed in hal-info (Ubuntu):
status: Fix Released → Fix Committed
xcorex (xcorex) wrote :

Sorry, its when I close the lid and then open it again.

Shannon #103. This is not the workaround offered in the release notes. But I'm a relative newcomer to Ubuntu, I have virtually no linux skills, and it works well for me:

1. Add the brightness applet to the top panel.

2. Each time you boot, wait until the desktop is fully up (panel icons included) then "right click" with the mouse button for two or three seconds. This will stop the flashing, and after a few seconds the on screen brightness indicator will disappear.

This process adds just a few seconds to boot time, and seems like nothing more than a minor quirk.

Your friend may create a new folder through doing this. Just have him or her highlight and delete.

3. If your friend needs to change the screen brightness, have him or her do it by clicking on the brightness applet, and sliding the slider. They should not use the Fn F7/F8 keys.

Usually this will just change the brightness, with no resulting flashing.

Very occasionally, there is flashing after changing the brightness via the applet. Again, "right clicking" with the mouse button (as in 2.) will make it stop.

And that's it. It's certainly not a permanent solution, it's a bit "quick and nasty" and your friend will need to do it every boot. But it doesn't involve any code, and I'm more than content with it.

It just seems like "boot, press mouse button, problem gone for this session."

(As an afterthought, some people seem to be having problems with the flashing after resuming from suspend. I'm not having those problems so I can't comment on whether this fixes that.)

yze (kawise) wrote :

@Steve
Thanks for the reply - must be something else that has changed that has stopped my suspend working then.

bitwanderer (bitwanderer) wrote :

blacklisting uvcvideo fixes the suspend problem. It does not - however - fix the flickering.

marcelo (marcelo-yanez) on 2009-10-30
description: updated
mickey (mickey-allen) wrote :

flickering on screen unable to watch tv,video ect .

vaku (vaku42) wrote :

Weird. I ran 9.10 Netbook Remix from flash drive on my U123. There was no issue booting up, which gave me confidence. (In hindsight, I didn't try to much around with the brightness.) So I decided to upgrade my installation of 9.04 to 9.10 through network. Upon first boot, the flickering happens with the brightness icon appearing and the brightness jumping around. However, after 30-60 seconds, the brightness stabilizes. I was able to reproduce the flickering by adjusting the brightness from the power management setting. The flicker happens for 10-20 seconds this time before stabilizing.

I did not change any setting from 9.04, nor did I disable KMS from boot.

mp459 (mickey-srtdata) wrote :

Just upgraded to 9.10. The flickering goes away if I hold down the right mouse button and get a contextual menu. However, it reappears in a few minutes. Turning off auto-dimming and similar in power management prevents further flicker, as reported above. However this does not speak well for power management and is not "wife friendly". Hopefully it'll be fixed through update manager soon.

Oddly, I did not have this problem for the first day of running 9.10.

i think this is a kernel bug, because if i running my xubuntu with previous kernel (2.6.28 from 9.04) the flickering goes away.

VveganmoltovV (greggahorton) wrote :

I was able to solve this problem under xubuntu by removing gnome-power-manager. XFCE has it's own power manger so that does the same job

mp459 (mickey-srtdata) wrote :

I used the nomodeset fix above; it seems to work with 4 levels of brightness when adjusting using the fn keys. (I don't remember if 9.4 had 4 or 8 levels of brightness, but I'm leaning towards 4).

FWIW, the workaround is outlined in the release notes here:
http://www.ubuntu.com/getubuntu/releasenotes/910#No%20Xv%20support%20for%20Intel%2082852/855GM%20video%20chips%20with%20KMS

"for GRUB 2: edit /etc/default/grub and add nomodeset to GRUB_CMDLINE_LINUX, then run sudo update-grub.
for GRUB 1: edit /boot/grub/menu.lst and add nomodeset to the line beginning with # kopt=, then run sudo update-grub"

I've verified that flickering does not recur after sleep, and that display auto-dims when on battery power.

Changed in linux (Ubuntu Lucid):
status: New → Triaged
Nadav Halwany (nvh) wrote :

Using "nomodeset" parameter, makes desktop interface in netbook-remix very slow (unusable)

mp459 (mickey-srtdata) wrote :

Nadav Halwany (#118): I just noticed this as well. Tried a few things, and it seems 'nomodeset' makes the launcher _very_ sluggish. To the point where I can live with the flicker to get some usable speeds out of the thing.

Stephan Diestelhorst (syon) wrote :

I had seens some stuff related to the ACPI OSI variable in the DSDT a while back, related to brightness. However, a quick test with acpi_osi="Windows 2001" and another with acpi_osi="Linux" on the kernel's command line did not help much :-(

Michael Fox (mfox-trentu) wrote :

The solution that worked best for me on my U100 was the blacklist one. This reduced the applet from coming on to a few seconds, and it gave me back access to usb ports. But I do agree with the other posters that this and the usb bug are showstoppers for the average user and the advice should be either x or y or stick with UNR 9.04 on an MSI or clone until the problem is fixed. By the way, I did not notice it when booting from a live usb.

With Kernel 2.6.28-16 everything works fine in Karmic Koala on msi WInd.
But i have to use ndiswrapper to make WLAN running. (rt2860sta)
Maybe it is a kernel bug?

crepi (crepi22) wrote :

In comment 80, two bugs were isolated. The "workaround" for the second part was nomodeset.
If you use it, the workaround for the 1st part is xrandr --output LVDS --set BACKLIGHT_CONTROL native
and you get back the 8 levels of backlight control.
It may help for the second part too except that, because of bug 428054 (it is a duplicate but I am not sure that the main bug looks for the same problem), you cannot set BACKLIGHT_CONTROL on LVDS1 to native (in fact disable software BACKLIGHT_CONTROL if I understand).
If it is so, it may help to raise 397617 bug status from low to at least medium.

cob (cobbjbc) wrote :

Killing gnome-power-manager also temporarily solves the problem for me. It happens any time I adjust the brightness with the hardware keys.

hugomezarina (hugomezarina) wrote :

The work around given in the release notes makes the system go slow really slow. I wonder if the Fix Committed Status is the right one for this kind of solution that seems worse than the original bug.

stargazer (immstargazer) wrote :

Got U100Plus. After bios update to v.10e flickering occur only at boot time before logging in. UNR 9.10 with all updates, installed instead of preinstalled SLED 10 SP1.

Jorge Devoto (jdevoto) wrote :

I have a msi wind u100. It was working fine with Ubuntu 9.04 but now I have the same problem with flickering.
I have the problem only with the last kernel.

Konstantin Lavrov (lacosta) wrote :

I'm not test Karmic yet.
But I need to say that for my LG X110 this flickering had happened with kernel 2.6.28 after fn-Brightness keys was added in fdi to avoid "atkbd.c: Unknown key pressed" messages.

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/261635/comments/12

hugomezarina (hugomezarina) wrote :

I have a MSI U100. I upgraded the BIOS to the newest version available (1.0E). It makes no difference at all.

    I figured out a solution that works completely, at least till an update
comes along anyway. Go to applications>settings>Xfce 4 Settings
Manager>Power Management and all settings for monitor and brightness to
never. So far this has worked, as long as I don't try to adjust the
brightness because that would trigger our little problem again which I don't
wanna do. So until there is a fix this works fine, actually I'll keep my
settings this way just in case. Hope this helps.

On Wed, Nov 4, 2009 at 4:43 PM, hugomezarina <email address hidden> wrote:

> I have a MSI U100. I upgraded the BIOS to the newest version available
> (1.0E). It makes no difference at all.
>
> --
> brightness is broken on MSI WIND U100
> https://bugs.launchpad.net/bugs/415023
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Gnome Powermanager: Unknown
> Status in KDE Base Workspace: Invalid
> Status in Ubuntu Release Notes: Fix Released
> Status in “hal-info” package in Ubuntu: Fix Committed
> Status in “kdebase-workspace” package in Ubuntu: Fix Released
> Status in “linux” package in Ubuntu: Triaged
> Status in “xfce4-power-manager” package in Ubuntu: Invalid
> Status in hal-info in Ubuntu Lucid: Fix Committed
> Status in kdebase-workspace in Ubuntu Lucid: Fix Released
> Status in linux in Ubuntu Lucid: Triaged
> Status in xfce4-power-manager in Ubuntu Lucid: Invalid
>
> Bug description:
> Binary package hint: gnome-power-manager
>
> Versions : karmic up to date (08-17-09) with gnome-power-manager version
> 2.27.5-0ubuntu2
>
> What should happen : brightness should not flash.
>
> What happens :
>
> Brightness changing seems broken on my MSI wind U 100.
>
> First in GDM it starts flashing for a good 30 seconds and then the same
> problem happened when the Gnome session begins.
>
> Whenever I try to manually change the brightness a bit too fast (using
> the sliders or the keyboard) it start flashing again.
>
>
>

lupus (lupus78) wrote :

My MSI Wind U100 with up-to-date Karmic UNR does the same.
The flickering appears after bootup until the gnome-power-manager icon appears on the Panel. I found that if i right-click on the Panel it appears rightaway and the flickering is gone.
Waiting for the update! Must be fixed soon. When UNR appeared i loved that it was obvious they put a lot of energy to be compatible with all mayor netbooks, but i'm sure now they didn't even installed Ubuntu on a Wind, because otherwise that bug hasn't even exists.

Danilo (danilo-arduini) wrote :

Hi all,
on my Wind U100 the problem is solved with bios update (10.E) and kernel 2.6.32-2-generic #2build3-Ubuntu.
I hope that this can help.

hugomezarina (hugomezarina) wrote :

Danilo, author of coment #132 may be right. I upgraded the bios to 10.E version and used a older version of the kernel (2.6.28-16-generic #55-Ubuntu) and the flickering stopped. So the problem may be the kernel. This is not a prefect solution, because the performance is slow, but not unusable, like the solution given in the release notes.

Jonathan (jonathanmtran) wrote :

For MSI Wind U123 users, the 1.0D BIOS update seems to stop the change in brightness.
You're able to change it via the hot key now

I upgraded msi wind u-90 bios to 1.0E version and my screen still blinking

2009/11/8 Jonathan <email address hidden>

> For MSI Wind U123 users, the 1.0D BIOS update seems to stop the change in
> brightness.
> You're able to change it via the hot key now
>
> --
> brightness is broken on MSI WIND U100
> https://bugs.launchpad.net/bugs/415023
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Gnome Powermanager: Unknown
> Status in KDE Base Workspace: Invalid
> Status in Ubuntu Release Notes: Fix Released
> Status in “hal-info” package in Ubuntu: Fix Committed
> Status in “kdebase-workspace” package in Ubuntu: Fix Released
> Status in “linux” package in Ubuntu: Triaged
> Status in “xfce4-power-manager” package in Ubuntu: Invalid
> Status in “hal-info” source package in Lucid: Fix Committed
> Status in “kdebase-workspace” source package in Lucid: Fix Released
> Status in “linux” source package in Lucid: Triaged
> Status in “xfce4-power-manager” source package in Lucid: Invalid
>
> Bug description:
> Binary package hint: gnome-power-manager
>
> Versions : karmic up to date (08-17-09) with gnome-power-manager version
> 2.27.5-0ubuntu2
>
> What should happen : brightness should not flash.
>
> What happens :
>
> Brightness changing seems broken on my MSI wind U 100.
>
> First in GDM it starts flashing for a good 30 seconds and then the same
> problem happened when the Gnome session begins.
>
> Whenever I try to manually change the brightness a bit too fast (using
> the sliders or the keyboard) it start flashing again.
>
>
>

--
-- Giuseppe

here, msi wind u-90, I upgraded bios to version 1.0E and brightness still blinking.

Michael Fox (mfox-trentu) wrote :

Blacklisting uvcvideo alone fixed all of my problem except for a few-second coming on and flickering of the brightness adjustment. USB drives could be seen after this. I was using bios version 1.09 on my U-100, and I upgraded to version 1.0E last night, but this didn't change anything.

Mervin Beng (mervinb) wrote :

There are enough accounts to suggest that users should not try to upgrade BIOS in the attempt to work around this problem. It won't work.

There are several options to work around it:

1. Disable gnome-power-manager (or for xubuntu, xfce4-power-manager). This will work. The downside, I believe, is that you will lose suspend/hibernate on closing the lid. For me this is bad, as I expect the system to at least go to standby on closing the lid.
2. Use one of the power managers, but if adjusting brightness, hit <right-button> to bring up a menu, adjust (Fn-F4 or F5), and <left-button> to clear the menu. Otherwise adjusting brightness is a hassle.
3l The power managers will still cause the screen to flicker when trying to autodim the screen. To clear, use the right button as above.

Is there any news about an expected fix for this problem?

Jim in Chicago (jbcady) wrote :

I have not done a bios upgrade, yet, but DID disable KMS by putting 'nomodeset' in grub2. I still get a flickering (and downward trending) change in brightness whenever I play a movie. I've repeated this with avi, flv, and mpg files and several different players including vlc. This may be separate bug, but I don;t think so.

Benjamin Wild (benwild) wrote :

The best workaround i found so far is to just use xfce4-power-manager instead of gnome-power-manager. There's no flickering and power saving features are working as far as i can tell. Not sure about suspending and hibernating, though.

sovaby (sovaby) wrote :

the problem is solved with kernel 2.6.32-020632rc6-generic.

N.Buechner (n.buechner) wrote :

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Not fixed
http://kernel.ubuntu.com/%7Ekernel-ppa/mainline/v2.6.32-rc6/linux-image-2.6.32-020632rc6-generic_2.6.32-020632rc6_i386.deb
Kubuntu Karmic, MSI WIND U120

sovaby wrote:
> the problem is solved with kernel 2.6.32-020632rc6-generic.
>
> --
> brightness is broken on MSI WIND U100
> https://bugs.launchpad.net/bugs/415023
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Gnome Powermanager: Unknown
> Status in KDE Base Workspace: Invalid
> Status in Ubuntu Release Notes: Fix Released
> Status in “hal-info” package in Ubuntu: Fix Committed
> Status in “kdebase-workspace” package in Ubuntu: Fix Released
> Status in “linux” package in Ubuntu: Triaged
> Status in “xfce4-power-manager” package in Ubuntu: Invalid
> Status in “hal-info” source package in Lucid: Fix Committed
> Status in “kdebase-workspace” source package in Lucid: Fix Released
> Status in “linux” source package in Lucid: Triaged
> Status in “xfce4-power-manager” source package in Lucid: Invalid
>
> Bug description:
> Binary package hint: gnome-power-manager
>
> Versions : karmic up to date (08-17-09) with gnome-power-manager version 2.27.5-0ubuntu2
>
> What should happen : brightness should not flash.
>
> What happens :
>
> Brightness changing seems broken on my MSI wind U 100.
>
> First in GDM it starts flashing for a good 30 seconds and then the same problem happened when the Gnome session begins.
>
> Whenever I try to manually change the brightness a bit too fast (using the sliders or the keyboard) it start flashing again.
>
>

- --
Mit freundlichen Grüßen / Regards
Nils Büchner

UNITED COLO GmbH
Sonntagsanger 1
96450 Coburg
Germany

Tel : ++49 9561 871145
Fax : ++49 9561 871146
Mail : <email address hidden>
URL : http://www.unitedcolo.de
PGP Key : http://unitedcolo.de/pgp/nbuechner.asc

Geschäftsführer : Harald Ettel, Timo Rolle
Registergericht : Amtsgericht Coburg HR 3928
Steuernummer : DE240512157

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQEcBAEBAgAGBQJK+JA9AAoJEIYsh6wIRP6HJzsH/3xqVPKJM1um1yjZg1eP2Z7D
uY3BjxivGhskwWnoEdY8Vq+ESyin3d9wjoCdtPeU/WHIBTfCemEd3owk+gSZcPqP
Asjhdm+7fr/wLKZozDe+vsZ9w4RvKJ8zoLk07hJKRHl0c4xT1xZDbDxrPpKeuJ4i
RdLNL8K2eQ1/HpOG29s2c9/qbcEUrVC3c8jxuR7Mr53uXG7Dz3J0ZCfUZzOWf93E
vvkODKRWrWj2igg84TwbIHgCCdsSy0aMQ7B3q1KFL3z7bC/rtp8SiVFWflsshqZ2
26Sxnki9KVUCaesCiFSW0XrOm8v5Kx6ayYSyYD4WvxXy7kan/tvprIMryjIDNJk=
=8cXK
-----END PGP SIGNATURE-----

Erwin Junge (erwin-junge) wrote :

How do I get kernel 2.6.32-020632rc6-generic ?

german154 (gvultich) wrote :

I can't believe it was released with such a big bug... it wasn't probed in an MSI Wind at all before being launched? It decreases the reliability of Ubuntu a lot.

Yeah that is true, but at least deleting powr management works. In another
release or 2 i may even consider switching to Debian or Linpus or an Ubuntu
based distro for netbooks perhaps.

On Mon, Nov 9, 2009 at 4:28 PM, german154 <email address hidden> wrote:

> I can't believe it was released with such a big bug... it wasn't probed
> in an MSI Wind at all before being launched? It decreases the
> reliability of Ubuntu a lot.
>
> --
> brightness is broken on MSI WIND U100
> https://bugs.launchpad.net/bugs/415023
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Gnome Powermanager: Unknown
> Status in KDE Base Workspace: Invalid
> Status in Ubuntu Release Notes: Fix Released
> Status in “hal-info” package in Ubuntu: Fix Committed
> Status in “kdebase-workspace” package in Ubuntu: Fix Released
> Status in “linux” package in Ubuntu: Triaged
> Status in “xfce4-power-manager” package in Ubuntu: Invalid
> Status in “hal-info” source package in Lucid: Fix Committed
> Status in “kdebase-workspace” source package in Lucid: Fix Released
> Status in “linux” source package in Lucid: Triaged
> Status in “xfce4-power-manager” source package in Lucid: Invalid
>
> Bug description:
> Binary package hint: gnome-power-manager
>
> Versions : karmic up to date (08-17-09) with gnome-power-manager version
> 2.27.5-0ubuntu2
>
> What should happen : brightness should not flash.
>
> What happens :
>
> Brightness changing seems broken on my MSI wind U 100.
>
> First in GDM it starts flashing for a good 30 seconds and then the same
> problem happened when the Gnome session begins.
>
> Whenever I try to manually change the brightness a bit too fast (using
> the sliders or the keyboard) it start flashing again.
>
>
>

hwen (nickaelwen) wrote :

I can confirm this issue.

rahuldroy (rahul-dattaroy) wrote :

The problem still exists with Karmic with the latest updates. This problem is not limited to MSI wind notebooks. Im using MSI GX600

bitwanderer (bitwanderer) wrote :

Flickering NOT fixed with kernel 2.6.32rc6 (u100).

Average_Joe++ (micahbl) wrote :

I am pretty new to Linux but I thought that I should note that I have a MSI Wind U123 that is running 9.10 Karmic. I too have been having this problem with the power-manager flickering the back-light. However, I have found that when the light is flickering I can run something that needs root privileges such as Synaptic and then the power-manager will start working perfectly. I also have found that it appears that if you open the power-manager properties it looks like the program is getting hung up at the point in which it is trying to load the battery usage power-management options. I hope that this helps somebody out there.

german154 (gvultich) wrote :

At the moment, preessing Alt+f1 a couple of times, should work to stop the flickering, but if u try to adjust brigthness again, the problem starts all over. I've make disable the power-manager in the startup applications, but often it get started by some other process and i have to use the Alt+f1 or Alt+tab to stop the flickering.

Povilas (kuuudlius) wrote :

So again how to fix it?

ozzyboy (ozkatz100) wrote :

Hi,

It's been quite some time since the release and my U100 is still unusable with Karmic (brightness flickers, not usb hotplug, no SD card hotplug, webcam doesn't work)

I had to reinstall 9.04 (Which works perfectly with this netbook, btw). Such serious regressions shouldn't really occur in a distro as popular as Ubuntu.

-- side note: the brightness bug also occurs in the just-released Fedora 12, and didn't happen in 11. maybe this can shed some light on the module causing the problem.

bostongeek24 (markdymek) wrote :

it says that this has been fixed what is the solution? i am having this error with my msi wind u120 on kubuntu 9.10.

Removing power management works. Its not really necessary for me to have but
is for some. For me its a workaround at least til its fixed or til the next
release.

On Wed, Nov 18, 2009 at 7:49 PM, bostongeek24 <email address hidden> wrote:

> it says that this has been fixed what is the solution? i am having this
> error with my msi wind u120 on kubuntu 9.10.
>
> --
> brightness is broken on MSI WIND U100
> https://bugs.launchpad.net/bugs/415023
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Gnome Powermanager: Unknown
> Status in KDE Base Workspace: Invalid
> Status in Ubuntu Release Notes: Fix Released
> Status in “hal-info” package in Ubuntu: Fix Committed
> Status in “kdebase-workspace” package in Ubuntu: Fix Released
> Status in “linux” package in Ubuntu: Triaged
> Status in “xfce4-power-manager” package in Ubuntu: Invalid
> Status in “hal-info” source package in Lucid: Fix Committed
> Status in “kdebase-workspace” source package in Lucid: Fix Released
> Status in “linux” source package in Lucid: Triaged
> Status in “xfce4-power-manager” source package in Lucid: Invalid
>
> Bug description:
> Binary package hint: gnome-power-manager
>
> Versions : karmic up to date (08-17-09) with gnome-power-manager version
> 2.27.5-0ubuntu2
>
> What should happen : brightness should not flash.
>
> What happens :
>
> Brightness changing seems broken on my MSI wind U 100.
>
> First in GDM it starts flashing for a good 30 seconds and then the same
> problem happened when the Gnome session begins.
>
> Whenever I try to manually change the brightness a bit too fast (using
> the sliders or the keyboard) it start flashing again.
>
>
>

ozzyboy (ozkatz100) wrote :

Is this really a workaround?
power management gives me nessecery functionality. a netbook is a portable thing. i want to be able to close the lid and let it hibernate - can I do this without power management?

ozzyboy, have you tried disabling kernel mode setting in grub? That seems to be the preferred workaround in the release notes.

Assuming you have grub 2 (check synaptic - it'll be listed as 1.97 or something like that) -

sudo gedit /etc/default/grub
type your password
add "nomodeset" within the quotes at the end of the "GRUB_CMDLINE_LINUX" line.
save
close gedit
sudo update-grub

and you should be right.

However, the screen might still flicker when you use the Fn F* keys to change brightness. I find the best workaround for that is to add the brightness panel applet by right clicking on your top panel, clicking "add to panel", then adding the brightness applet. Then use the applet to change brightness, not the Fn F* keys.

If you still having problems with suspend, it may be do with bug 435352.

ozzyboy, just reread your comment at 152. Some of your problems are definitely to do with bug 435352.

The problem there is that the video camera drivers seem to have some kind of conflict with the usb drivers.

There's no ideal solution, but as a workaround you can rebuild your kernel with some changes (there are some hard to follow instructions at 435352).

Or, if you don't need the camera, you can just disable it either by turning it off with Fn F6 or by doing the following:

sudo gedit /etc/modprode.d/blacklist.conf
enter password
add "blacklist uvcvideo" to an empty line (maybe add a "#blacklisting uvcvideo to enable usb ports" line as well so you remember what you've done)
save
close gedit
restart

And you should have your usb ports but not your camera.

sorry, forgot to mention that blacklisting uvcvideo should also get suspend working.

ozzyboy (ozkatz100) wrote :

Hi Dmitri -
first of all - huge thanks for the help :)

I have tried passing nomodeset, and the flickering did disappear (I don't think I tried using the Fn keys though)
but my impression was that it caused a degradation in performance, and the MSI wind isn't really a performance beast to begin with :)

- -
regarding the USB \ Webcam compatibility problems - unfortunately - I need both of them to function on the netbook, as it is mostly
a communication platform while on the road (at least for me, but I believe this could also be the case for many others)

Any chance that the changes in the kernel described in 435352 be merged into the current Karmic kernel and released as an update?
I'm not a big fan of using non-standard repo's and manual installations, because the maintnance overhead it creates. especially on a netbook which should, ideally, just work. (as it so beutifully did with Jaunty).

Sorry then ozzyboy, I can offer no more. Except maybe the fact that just about any right click or menu click after boot will stop the flashing.

Building a modified kernel will get you up on both cam and ports, but I think it will almost certainly have a performance impact. My take on the mod being trialled at 435352 is that it significantly slows responses to URBs and in turn that'll slow anything USB related. But I'm not sure of that. It might be worth asking some of the people involved over there.

Good luck. :)

knuutsen (peter-vornberg) wrote :

@ALL:

Since i tried to recompile the gnome-power-manager (which didn't solve the prob) i come back to the roots. Now i don't have the flicker anymore.

How?
I additional installed the linux-image-pae . Pae stands for the nx - support. Mostly of the books have it. So do my netbook msi wind u100 lux. . i deinstalled the generic linux headers but installed the linux-headers-generic-pae.

Restart.

Back in gnome i add to the upper paner the brightness-panel. That i can control with the mouse.
I tried it several times dimming up and down; no probs yet.
I tried it also with Fn + F5 (brightness up) and the prob appears again. Ok. Thats for the developer - it must be key prob. But for me now i'm happy to end the brightness prob for my netbook.

cheers

german154 (gvultich) wrote :

After a long time trying to find a solution to this problem, I decided to come back to Ubuntu 9.04. I think it's a serious problem and they maked a big mistake releasing Ubuntu 9.10 without fixing it before. Even if u can stand the problem with some workaround such as alt+f1, or alt+tab, I think its annoying to do it every time power-manager activates and the flickering starts. Turning off the kernel modeset was a nightmare, the performance of my msi reduced to a half... so well, no Ubuntu for me and for the million of persons around the world with an MSI I guess, so sad.

edredon (wisdom-xp) wrote :

it happens in fedora 12 and mandriva 2010.0 too. just booted those two on my wind u100. so i was like... it's a gnome issue... but... it happens in kubuntu 9.10 too!

now i'm confused.

any news on this?

Jonathan Reeve (jon-reeve) wrote :

Just thought I should mention that this bug has NOT been fixed, even though it's being labeled as "fix released."

german154 (gvultich) wrote :

Where did you see that label of "fixed"?

Bill Nickels (billnickels) wrote :

I don't know if this is a correct post or not. If not, someone bark.
I have had this on a Toshiba A205-S4777 with Intel GM965 chip set..
9.10 does not flicker and go black when run from VBox.
It does when run from LiveCD.
SUSE open 11.1 has the same problem.
I had a problem very much like this in Vista when the brightness was at maximum. It went away with the brightness at mid-range.
Maybe the problem is also hardware/driver related if the power manager leaves the brightness at max during boot.

Beni Cherniavsky (cben) wrote :

Another workaround (worked for me on MSI Wind): execute:

xrandr --set BACKLIGHT_CONTROL legacy

(I added it to Preferences -> Startup Applications.)
It changes the way the intel driver controls the hardware, somehow avoiding the feedback loop.

Didn't work for me. I just removed power manager and that worked fine.
Anyone know how to workaround the bug of usb devices not being detected?

On Fri, Nov 27, 2009 at 2:29 AM, Beni Cherniavsky <email address hidden> wrote:

> Another workaround (worked for me on MSI Wind): execute:
>
> xrandr --set BACKLIGHT_CONTROL legacy
>
> (I added it to Preferences -> Startup Applications.)
> It changes the way the intel driver controls the hardware, somehow avoiding
> the feedback loop.
>
> --
> brightness is broken on MSI WIND U100
> https://bugs.launchpad.net/bugs/415023
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Gnome Powermanager: Unknown
> Status in KDE Base Workspace: Invalid
> Status in Ubuntu Release Notes: Fix Released
> Status in “hal-info” package in Ubuntu: Fix Committed
> Status in “kdebase-workspace” package in Ubuntu: Fix Released
> Status in “linux” package in Ubuntu: Triaged
> Status in “xfce4-power-manager” package in Ubuntu: Invalid
> Status in “hal-info” source package in Lucid: Fix Committed
> Status in “kdebase-workspace” source package in Lucid: Fix Released
> Status in “linux” source package in Lucid: Triaged
> Status in “xfce4-power-manager” source package in Lucid: Invalid
> Status in Fedora: New
>
> Bug description:
> Binary package hint: gnome-power-manager
>
> Versions : karmic up to date (08-17-09) with gnome-power-manager version
> 2.27.5-0ubuntu2
>
> What should happen : brightness should not flash.
>
> What happens :
>
> Brightness changing seems broken on my MSI wind U 100.
>
> First in GDM it starts flashing for a good 30 seconds and then the same
> problem happened when the Gnome session begins.
>
> Whenever I try to manually change the brightness a bit too fast (using
> the sliders or the keyboard) it start flashing again.
>
>
>

Beni - Bug 435352 might be worth a read. To get the USB ports working you can :

  1. Rebuild your kernel as outlined at Bug #435352
  2. Turn off the camera with the Fn F6 keys at the login screen (you only need to do it once).
  3. Disable uvcvideo as described at comment #157 above.

The first option might slow things down a bit, the second two will disable your onboard camera but enable the external usb ports.

Oops. Last comment to Robert. Not Beni. Sorry.

knuutsen (peter-vornberg) wrote :

@Beni Cherniavsky :
Your solution cannot work on any machine with karmic and gnome!:
You wrote:
"Another workaround (worked for me on MSI Wind): execute:

xrandr --set BACKLIGHT_CONTROL legacy

(I added it to Preferences -> Startup Applications.)
It changes the way the intel driver controls the hardware, somehow avoiding the feedback loop."

I tried this with a non satisfied result.....
pedro@pedro-netbook:~$ xrandr --output LVDS --set BACKLIGHT_CONTROL legacy
X Error of failed request: BadRROutput (invalid Output parameter)
  Major opcode of failed request: 149 (RANDR)
  Minor opcode of failed request: 15 (RRGetOutputProperty)
  Serial number of failed request: 24
  Current serial number in output stream: 24
pedro@pedro-netbook:~$

So can you please be more specific and reproof you result in #167?!

thx in advance ( we are all interested in your solution in specific your line isn't written correctly)

cheers
knuutsen

kuciy (kuciy-yuh) wrote :

so what we have?using gdm with --no-daemon option is not the solution,"right click" with the mouse button for two or three seconds also is not the solution and many others ways also isn`t the solution.This is a big problem in ubuntu 9.10 wich provocate me on returning to the Debian OS.

kuciy (kuciy-yuh) wrote :

p.s. I have this problem(flickering) on msi vr420

ChaZcaTriX (chazcatrix) wrote :

Found another way to stop flickering, much saner than right mouse hold
- and unlike it working in KDE

You need to put a high load on the CPU - so just switch the desktop
with Compiz - and flickering stops

Bruno (pinguino1186) wrote :

i just saw that the bug has been reported upstream in gnome bugtracker three weeks ago but nobody has even looked at it, it is still unconfirmed. maybe someone of the hundereds of people commenting here who have a bit more technical knowledge than me can comment and confirm this bug so it gets attention? the link is https://bugzilla.gnome.org/show_bug.cgi?id=601410 (it is also on the top of this page)

knuutsen (peter-vornberg) wrote :

@All:
it must be a way to specific to set kernel mode settings (KMS) for the brightness prob somehow! I think that's the way to get a workaround.

My experience with "nomodeset" in the kernel line in grub which kills the whole KMS was that my msi wind u100 luxury brakes down the performance but the flickering doesn't exist anymore! Hardkeys functioning..but grafics too slowly.

Second i specified the kernel line with "i915.modeset=0". That means, that KMS is not in use for grafics and so on (...probably the main causer). The flickering still exists!

This comparison shows me that there is may be another process we have to find out : "?".modeset=0". The grafics cannot be responsible at all.

Someone around here with more knowledge in KMS?

cheers
knuutsen

Bruno (pinguino1186) wrote :

@knuutsen:
this seems not a problem of modeset, it just makes the problem appear less often, i and others (see above) can still get the flickering without modesetting.
from what i understand from the comments above the problem is how the kde/gnome/xfce power managers react to brightness changes. it is already fixed in kde but not in gnome and xfce. there is a bug in the gnome bugtracker, i dont know about xfce because i dont use xubuntu.

knuutsen (peter-vornberg) wrote :

@All:
For me i worked out a workaround, to get the flicker away but replaced gnome-power-manager with the guidance-power-manager from kde. It's fully working in all aspects of a power - manager. This workaround is a little bit tricky. So i will make a film and upload him to youtube but only if someone is interested in that.

If interested - send an email.

cheers

knuutsen

knuutsen (peter-vornberg) wrote :

@All:
Workaround is a way replacing gnome-power-manager with the kde one..here is the film in youtube

http://www.youtube.com/watch?v=DcSA4R23l9Q

Enjoy

cheers
knuutsen

The audio is a little bit faster as the film - sry for it.

knuutsen (peter-vornberg) wrote :

@All: deleted link in #179
use this link (updated); add how to 'play' a audio file in gpm.sh script.:

http://www.youtube.com/watch?v=yfBlExXqmz4

The kde powermanager for msi wind u100:
suspend to ram /disk works
AC and battery mode works
brightness is also working with keys fn + f4 or f5

No probs detected yet....

guess it takes time for a gnome solution so enjoy this workaround.

cheers
knuutsen

maxadamo (massimilianoadamo) wrote :

ok.. you removed the video from youtube, and I don't think we need to write e-mail to each other.
If I am not wrong the solution is:
1) rename /usr/bin/gnome-power-manager to /usr/bin/whatever_you_want
2) create symlink from guidance-power-manager to gnome-power-manager
3) restart you X server and enjoy.

it's a perfectly "working workaround" :-)

maxadamo (massimilianoadamo) wrote :

@knuutsen:
@All:
we better do this way right now:
1) rename /usr/bin/gnome-power-manager to /usr/bin/whatever_you_want (or just delete it)
2) copy /usr/bin/guidance-power-manager as /usr/bin/gnome-power-manager
3) restart your X session.

when the new gnome-power-manager will be released, it will overwrite the file that we have created now.

knuutsen (peter-vornberg) wrote :

@maxadomo:
Thank you for this change. I just did the Workaround you see below with your proposal #182 to rename it.
@ALL:
The following workaround you can type or paste and copy to your terminal:

Workaround:
# 1.
# # go to synaptic and install guidance-power-manager
# #or
# # open terminal

sudo apt-get install guidance-power-manager

# 2.
cd /usr/bin
# # Rename gnome-power-manager
# # root@pedro-netbook:/usr/bin#

mv gnome-power-manager gnome-power-old

# # Rename guidance-power-manager to gnome power manager
# # root@pedro-netbook:/usr/bin#

mv guidance-power-manager gnome-power-manager

sudo reboot

# # enjoy till the next release of gnome-power-manager and many thx to @maxdata for the easy way :-)
# # !!! The youtube video is deleted !!!

To disable the autostart feature (autostart of gnome-power-manager) please use the right way to do that :
http://library.gnome.org/devel/autostart-spec/
http://library.gnome.org/misc/release-notes/2.14/index.html.en

add "X-GNOME-autostart-enabled = False" in desktop file

xcorex (xcorex) wrote :

If you are the only user, is it too dificult to disable at system,
preferences, gnome-session-properties?

Isn't xfce4-power-manager better?

On Sun, Dec 6, 2009 at 1:58 PM, Patrice Vetsel <email address hidden> wrote:

> To disable the autostart feature (autostart of gnome-power-manager) please
> use the right way to do that :
> http://library.gnome.org/devel/autostart-spec/
> http://library.gnome.org/misc/release-notes/2.14/index.html.en
>
> add "X-GNOME-autostart-enabled = False" in desktop file
>
> --
> brightness is broken on MSI WIND U100
> https://bugs.launchpad.net/bugs/415023
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Gnome Powermanager: Unknown
> Status in KDE Base Workspace: Invalid
> Status in Ubuntu Release Notes: Fix Released
> Status in “hal-info” package in Ubuntu: Fix Committed
> Status in “kdebase-workspace” package in Ubuntu: Fix Released
> Status in “linux” package in Ubuntu: Triaged
> Status in “xfce4-power-manager” package in Ubuntu: Invalid
> Status in “hal-info” source package in Lucid: Fix Committed
> Status in “kdebase-workspace” source package in Lucid: Fix Released
> Status in “linux” source package in Lucid: Triaged
> Status in “xfce4-power-manager” source package in Lucid: Invalid
> Status in Fedora: New
>
> Bug description:
> Binary package hint: gnome-power-manager
>
> Versions : karmic up to date (08-17-09) with gnome-power-manager version
> 2.27.5-0ubuntu2
>
> What should happen : brightness should not flash.
>
> What happens :
>
> Brightness changing seems broken on my MSI wind U 100.
>
> First in GDM it starts flashing for a good 30 seconds and then the same
> problem happened when the Gnome session begins.
>
> Whenever I try to manually change the brightness a bit too fast (using
> the sliders or the keyboard) it start flashing again.
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/gnome-power/+bug/415023/+subscribe
>

knuutsen (peter-vornberg) wrote :

@Patrice Vetsel:
The workaround in #183 will do this automatically in the guidance-power-manager.desktop in
pedro@pedro-netbook:~/.config/autostart$ .

One line in guidance-power-manager.desktop is:
"X-GNOME-autostart-enabled = False"

The idea of maxdata to rename guidance-power-manager in gnome-power-manager is working and the user has by the next update a hopefully fixed gnome-power-manager.

What's wrong in this method? Please write it so that we can find another solution....
For me this workaround in #183 works.

cheers

kuciy (kuciy-yuh) wrote :

Here is list of dependecies for installing guidance-power-manager in Gnome

AlexeiK (deep414) wrote :

It works! At least for me. Now I can switch to 9.10.

Thanks!

knuutsen (peter-vornberg) wrote :

@kuciy
synaptic will install all necessairy dependencies for gnome, if you install guidance-power-manager.

knuutsen (peter-vornberg) wrote :

@All
@Patrice Vetsel
@Alexeik

I confirm the more clean way to establish guidance-power-manager is to work with the start program entries also named as gnome-session-properties (find it in /usb/bin/). There you can disable gnome-power-manager with creating a new starter and enabling guidance-power-manager with a new starter. reboot.
To short?
Look at the film:
http://www.youtube.com/watch?v=SYJ3x7ISRf0
cheers

knuutsen (peter-vornberg) wrote :

@Patrice Vetsel
The clean method is not working fail-safe. Once the gnome-session-properties "forget" to disable gnome-power-manager even though the entrance in the starter is set to "false". May be the gnome-session-properties even has a bug?

For so far this is once in the blue moon - so i prefer the clean method as you described and i disclosed in #190. This method makes also Fn+F12 (suspend to ram) available.

@All
Someone testing the workaround #190?
Please post your results after a time of testing. thx.

Kychot (petr-dulos) wrote :

After my latest experiences:
* I have netbook mivvy m310 = a brand of MSI Wind U100.
* I upgaded from Jaunty to Koala and the flickering occurs.
* Then I installed UNR (Ubuntu Netbook Remix) on another partition and the flickering DONT occur (with the original kernel 2.6.31-14-generic)
* Then after installation I get a lot of actualisations and the flickering occurs now - the new kernel is 2.6.31-16-generic.
* Then I rebooted to the older one 2.6.31-14-generic and the flickering vanishes, all is OK.

Martin Pitt (pitti) wrote :

Fixed in lucid's hal-info.

Changed in hal-info (Ubuntu Lucid):
status: Fix Committed → Fix Released
knuutsen (peter-vornberg) wrote :

@All: if you use #190 workaround as described there than the gnome-power-manager starts again, when i use update-manager. Activating there the proof button enables the gnome-power-manager again and the flickering. I suggest to take this workaround as described in #182 /#183/#184 or rename (as i did) the gnome-power-manager.

Caue Rego (caue-rego) wrote :

I've used workaround #183 as copying symlink will copy file and not work as expected and creating symlink is not unnecessary work since we can just move the already created symlink there.

And that basically solved my problem (reported bug 491595)! Thanks so much @knuutsen and @maxadamo!

I just hope it won't create new bugs... :P

tags: added: regression-release
removed: regression-potential
tags: added: karmic
joggele (joggele) wrote :

I tried workaround #183 and got problems hibernating the system. Hibernate works proper without guidance-power-manager started. Any suggestions???

knuutsen (peter-vornberg) wrote :

@joggele:
Are you affected with the Bug435352 ? If not try #190 and post it.

joggele (joggele) wrote :

Indeed I am affected with Bug435352. I blacklisted uvcvideo module to get hibernate work.

Anyway, gnome-power-manager hibernates my msi wind (only problem is flickering), guidance doesn't cause the flickering but brakes hibernate (output attached). Without any power management both work as expected, but no battery-state is available. Are there any settings for guidance pm in respect to hibernate the system?

knuutsen (peter-vornberg) wrote :

@joggele:
I'm sorry but to blacklist is not the whole prob in bug435352. It also interferes with suspend fails.

#196 hybernate works but without the functioning of a gnome power manager or in replace guidance power manager.

So if you want both getting to work you can patch your kernel as shown in Bug435352 or you can download the debs out of my cloud in ubuntu one (for that klick to my name and send me an email) or you wait one or two weeks to the next release of ubuntu linux kernel (there the patch of Oliver Neukum is included). Webcam, usb hotplug and suspend are working with the current patched kernel 2.6.31.4 . Non functioning of hybernate has nothing to do with the bug415023 here.

cheers

knuutsen

joggele (joggele) wrote :

@knuuutsen
Of Course Bug435352 interferes with failing suspend, as the title implies. Blacklisting uvcvideo is one quick-and-dirty workaround proposed in the description of 435352 as this module brakes suspend?! This works fine, at least for me, also with gnome-pm.

I will await a fix in one of the next updates. In case my system hibernates after this with guidance pm running you are right and my problem has nothing to do with this Bug. After all I don't think this will solve it and the problem is a result of #183 :(

Sylvain Defresne (sdefresne) wrote :

I've done an ugly patch against gnome-power-manager that check via sysfs if the system is an MSI Wind U100 (check that /sys/devices/virtual/dmi/id/board_vendor starts by "MICRO-STAR INTERNATIONAL CO., LTD" and that /sys/devices/virtual/dmi/id/board_name starts by "U-100") and then ignore brightness management key press as suggested in comment #80.

After installing the corresponding patched gnome-power-manager and rebooting I do not see the brightness flicker, so it seems to work.

Sylvain Defresne (sdefresne) wrote :

For testing pupose, you can find a compiled binary package here : http://kamisama.free.fr/transfert/gnome-power-manager_2.28.1-0ubuntu1local1_i386.deb

jbob (jbobspam) wrote :

Thanks for this patch, sounds great. Unfortunately your precompiled version is not working for me because the content of /sys/devices/virtual/dmi/id/board_name is "U90/U100", not "U-100", on my MSI Wind U100.

But with this and the latest progress made on Bug #435352, it seems Karmic is finally coming to a state were it can be used.

JFlood (joseph-d-flood) wrote :

How dose one install or patch using the file provided in #201?

Sylvain Defresne (sdefresne) wrote :

To build a new version of gnome-patch-manager using the patch, you can follow the following steps in a terminal (do not type the $, it is to symbolise the shell prompt) :
$ apt-get source gnome-power-manager
$ sudo apt-get build-dep gnome-power-manager
$ cd gnome-power-manager-2.28.1/
$ patch -p1 < ~/gnome-power-manager-msi-wind-u100-workaround.patch
$ debuild -uc -us
$ cd ..
$ sudo dpkg --install gnome-power-manager_2.28.1-0ubuntu1local1_i386.deb

You could also install my precompiled binary package using the link of #202.

Sylvain Defresne (sdefresne) wrote :

Here is another version of the patch that use the same regular expression as the HAL hack to detect if the computer is a MSI Wind (check that board name contains either U-100 or U100).

Alexander Skiba (ghostlyrics) wrote :

Can these patches also work with the U-120 / U-120H ?

Bruno (pinguino1186) wrote :

@Sylvain

wow, you rock. now we just must get this patch integrated. together with the patch for bug #435352 it seems that karmic finally becomes usable on the msi wind.

Sylvain Defresne (sdefresne) wrote :

@Alexander Skiba

Probably, it depends on the content of the /sys/devices/virtual/dmi/id/board_vendor and /sys/devices/virtual/dmi/id/board_name files.

Sylvain Defresne (sdefresne) wrote :

@jbob

My second patch should work on your MSI Wind. if you want to try a binay package, you can get my second version here : http://kamisama.free.fr/transfert/gnome-power-manager_2.28.1-0ubuntu1local2_i386.deb

jbob (jbobspam) wrote :

@Sylvain Defresne

Thanks a lot, its working like a charm

knuutsen (peter-vornberg) wrote :

@Sylvain Defresne: merci beaucoup. It also works for me. I compiled the second patch (same as jbob). For me your version rocks as well - its time to give the patch to the gnome guys ....

Merci beaucoup Sylvain

PS: I'm not so firm in compiling. In #205 is that a typical way of compiling single debs? Where can i learn more about this?
Thank you in advance

David Planella (dpm) wrote :

El dj 10 de 12 de 2009 a les 21:34 +0000, en/na knuutsen va escriure:
>
> PS: I'm not so firm in compiling. In #205 is that a typical way of
> compiling single debs? Where can i learn more about this?
> Thank you in advance
>

You can learn more about packaging here ->
https://wiki.ubuntu.com/PackagingGuide/

@Sylvain: thanks a lot for the fantastic work on this! A couple of
suggestions:

* You might want to look into integrating your patch in the
gnome-power-manager patch system instead of applying it to the sources
directly. gnome-power-manager is using quilt ->
https://wiki.ubuntu.com/PackagingGuide/PatchSystems#quilt%20%28example%
20package:%20xterm%29

* You might also find PPAs useful as an easier way to provide packages
to users for testing -> https://help.launchpad.net/Packaging/PPA

* Once your fix gets some more testing and users keep confirming it
solves the problem without side effects, you might want to look into
proposing the fix for a Stable Release Update (SRU). Here is the
procedure on how to do it ->
https://wiki.ubuntu.com/StableReleaseUpdates

Keep up the great work!

Bruno (pinguino1186) wrote :

don't forget to post your testing results on the gnome bugtracker too so the patch will be accepted quickly, i already did. you find the url on the top of this page.

Sylvain Defresne (sdefresne) wrote :

Patches updated to use quilt, and uploaded to my ppa ...
https://launchpad.net/~sdefresne/+archive/ppa

Yannick Defais (sevmek) wrote :

Merci Sylvain!

Works nicely here using the ppa.

Best regards,
Yannick

Demosthenes (demosthenes) wrote :

Wow this is looking promising. So once this is integrated in to Ubuntu we can consider upgrading to 9.10? And the outcome of this is that the brightness key will no longer work but that's the only side effect?

Sylvain Defresne (sdefresne) wrote :

@Demosthenes

No, the brightness key will still work with this patch. And you get back the eight brightness level. The main problem is that the implementation is really ugly. More work will be required before it can be intergrated upstream I think (detection of broken BIOS must be moved into xrandr, and an API to query this information must be added to xrandr and used by gnome-power-manager). But until then, if it is working for everybody and there is no regression I'l try to get it integrated into ubuntu.

Arimus (arimus-uk) wrote :

Sylvain, excellent work. Congratulations :)

Fixed my U100 fine, brightness control works as it should, limited testing on the power management stuff does not appear to have borked anything else, bluetooth/wlan on/off works, suspend I've not tried yet as too busy using the nbook :)

David Planella (dpm) wrote :

Using the latest PPA works for me on an MSI with board_name "U90/U100".
There are a couple of things I've noticed:

      * On logging into the session, a brightness change notification is
        shown for about a second, which has no effect. This is just a
        very minor cosmetic issue.
      * While using the netbook, the function keys for changing the
        brightness work fine, as does the auto-dimming setting in
        gnome-power-manager when disconnecting from the mains supply.
        However, automatically restoring the brightness level after
        connecting the power back no longer works.

But this are just two minor issues. In short, this patch has made my
netbook usable on Karmic again. Thanks!

Can anybody tell me how to fix it in Kubuntu Karmic?
I don't have the flickering after login but when I chnge the brightness with the keys the flickering begins and doesnt stop...
Any Idea out there?

knuutsen (peter-vornberg) wrote :

@Fruchtpfote:
go to # 215 . Klick the link. Get the deb there and install it.

Reboot

cheers
knuutsen

If you don't need a power manager, simply removing gnome-power-manager is
one way to fix it. Another way for those that need a power manager is remove
gnome-power-manager and replace it with KDE's guidance-power-manager,
although suspend won't work from my experience.

On Fri, Dec 11, 2009 at 3:40 PM, knuutsen <email address hidden> wrote:

> @Fruchtpfote:
> go to # 215 . Klick the link. Get the deb there and install it.
>
> Reboot
>
> cheers
> knuutsen
>
> --
> brightness is broken on MSI WIND U100
> https://bugs.launchpad.net/bugs/415023
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Gnome Powermanager: Unknown
> Status in KDE Base Workspace: Invalid
> Status in Ubuntu Release Notes: Fix Released
> Status in “hal-info” package in Ubuntu: Fix Released
> Status in “kdebase-workspace” package in Ubuntu: Fix Released
> Status in “linux” package in Ubuntu: Triaged
> Status in “xfce4-power-manager” package in Ubuntu: Invalid
> Status in “hal-info” source package in Lucid: Fix Released
> Status in “kdebase-workspace” source package in Lucid: Fix Released
> Status in “linux” source package in Lucid: Triaged
> Status in “xfce4-power-manager” source package in Lucid: Invalid
> Status in Fedora: New
>
> Bug description:
> Binary package hint: gnome-power-manager
>
> Versions : karmic up to date (08-17-09) with gnome-power-manager version
> 2.27.5-0ubuntu2
>
> What should happen : brightness should not flash.
>
> What happens :
>
> Brightness changing seems broken on my MSI wind U 100.
>
> First in GDM it starts flashing for a good 30 seconds and then the same
> problem happened when the Gnome session begins.
>
> Whenever I try to manually change the brightness a bit too fast (using
> the sliders or the keyboard) it start flashing again.
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/gnome-power/+bug/415023/+subscribe
>

I am talking about Kubuntu (KDE 4.3) I can't deinstall or fix gnome-power-manager.
Here is nearly the same problem (flickering when change brightness by key)
The patch is only working for GNOME, isn't it?

Sylvain Defresne (sdefresne) wrote :

@Fruchtpfote

My patch is for gnome-power-manager, the Gnome Desktop power management daemon. KDE is using another daemon (as is XFCE), thus my patch won't work for KDE or XFCE users. It can probably be adapted, but as I'm not using those desktop environment, I could not test it.

So sorry, it is only for GNOME for the moment.

knuutsen (peter-vornberg) wrote :

@Fruchtpfote: Sry didn't read Kubuntu... . Did you try # 21. For kubuntu (checked myself) it works. To make it permanently read in the area around #21. Hopefully i could help you....

@Sylvain: Sry i missed reading Fruchtnote correctly.

cheers
knuutsen

How do I add this to my software sources?

Vic Roberts

Sylvain Defresne wrote:
> Patches updated to use quilt, and uploaded to my ppa ...
> https://launchpad.net/~sdefresne/+archive/ppa
>

Well, I finally read the instructions, and it worked perfectly!!

Thanks Sylvian.

Vic Roberts

vroberts wrote:
> How do I add this to my software sources?
>
> Vic Roberts
>
> Sylvain Defresne wrote:
>> Patches updated to use quilt, and uploaded to my ppa ...
>> https://launchpad.net/~sdefresne/+archive/ppa
>>
>

The patch from #33 is working on my Kubuntu Wind. :-)
Thanks

Michael Fox (mfox-trentu) wrote :

Sylvain's patch is working on my U-100. The only effect I get is a brief flickering at the login screen.

Michael Fox (mfox-trentu) wrote :

Merci, Sylvain!

Hilikus (hilikus) wrote :

Sylvain's patch also works for me.
only side effect i notice and i would like to have confirmed by others is that when the screen dims down after some inactivity it doesn't dim back up after you do something in the keyboard or mouse. i'm not sure this is due to the patch though but i do know this worked in jaunty

Kychot (petr-dulos) wrote :

@Sylvain Defresne # 201
@jbob #203

But there exist many brands of U100 affected wit this bug and they have filled in another contents here.
For example, on my mivvy m310 the contents of this virtual files is:

$ cat /sys/devices/virtual/dmi/id/board_vendor
MICRO-STAR INTERNATIONAL CO., LTD

$ cat /sys/devices/virtual/dmi/id/board_name
To be filled by O.E.M.

kuciy (kuciy-yuh) wrote :

this Sylvain's patch doesn`t work on my MSI vr420, I still have the same problem with flickering

Sylvain Defresne (sdefresne) wrote :

@Kychot

Yes, I know that the criteria used to enable the workaround in gnome-power-manager probably does detect every variation of the MSI Wind U100. It use the same criteria as the patch to hal-info proposed in comment #95.

As I said, a correct correction would be to move the dection in xrandr, configurable by a config file, and this configuration file should be derived from the hal-configuration (of xrandr should query hal).

However, concerning your mivvy m310, this wouldn't solve the problem, as the hal information does not set the "laptop_panel.brightness_in_hardware" property. You can see the lastest hal configuration file here : http://cgit.freedesktop.org/hal-info/tree/fdi/information/10freedesktop/10-laptop-panel-hardware.fdi

So what is also needed is a survey of affected hardware and the associated criteria that can be used to identify them. This bug tracking is probably not the right place to do it, a wiki page may be more appropriate.

AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC1200 Analog [ALC1200 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: afigueiredo 1504 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xffe00000 irq 16'
   Mixer name : 'Realtek ALC1200'
   Components : 'HDA:10ec0888,14620110,00100101'
   Controls : 21
   Simple ctrls : 13
DistroRelease: Ubuntu 9.10
HibernationDevice: RESUME=UUID=8e970492-b534-4e0d-8077-672f936a7578
MachineType: MICRO-STAR INTERNATIONAL CO., LTD U-100
Package: linux (not installed)
ProcCmdLine: root=UUID=1137c547-1237-40c9-a29d-d22c4464cc5e ro locale=pt_BR quiet splash
ProcEnviron:
 SHELL=/bin/bash
 LANG=pt_BR.UTF-8
 LANGUAGE=pt_BR.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-17.54-generic
RelatedPackageVersions:
 linux-backports-modules-2.6.31-17-generic N/A
 linux-firmware 1.26
RfKill:

Tags: ubuntu-unr
Uname: Linux 2.6.31-17-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
WpaSupplicantLog:

dmi.bios.date: 01/16/2009
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 4.6.3
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: U-100
dmi.board.vendor: MICRO-STAR INTERNATIONAL CO., LTD
dmi.board.version: Ver.001
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: MICRO-STAR INTERNATIONAL CO., LTD
dmi.chassis.version: Ver.001
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr4.6.3:bd01/16/2009:svnMICRO-STARINTERNATIONALCO.,LTD:pnU-100:pvrVer.001:rvnMICRO-STARINTERNATIONALCO.,LTD:rnU-100:rvrVer.001:cvnMICRO-STARINTERNATIONALCO.,LTD:ct3:cvrVer.001:
dmi.product.name: U-100
dmi.product.version: Ver.001
dmi.sys.vendor: MICRO-STAR INTERNATIONAL CO., LTD

tags: added: apport-collected

The patch from #33 worked for me for a while but now the problem is back. (...dont know why)
Is there a chance that the bug will ever be fixed in Karmic?

kuciy (kuciy-yuh) wrote :

waiting on it about 3 mounth, hope the solution exist

Oh I just checked the MSI Website and realized that there is a new BIOS-Update released at 2010-01-04.
http://de.msi.com/index.php?func=downloaddetail&type=bios&maincat_no=135&prod_no=1474

After I installed it the flickering problem seems to be fixed! *happy*
Could anyone confirm this!?

.

yze (kawise) wrote :

@Fruchtpfote - just tried, appears to be working here as well.
Although my fan seems to be working harder in both Ubuntu and W7.
But yes, I can adjust brightness with function keys in KK and no flickering occurring.

Jure Sah (dustwolfy) wrote :

Just for the record (and for all who actually read the comments before posting their own). Having done nothing but installed the latest official Ubuntu updates this problem was fixed for me and my MSI Wind U100 12.

Meki (gnick666) wrote :

Can confirm, after the BIOS update (2010-01-04) everything is working.
Wind U100

Maarten Jongepier (jongep86) wrote :

I updated my MSI WInd U100 bios to version 10E and I still have the flickering during the login chooser (GDM). After the login the flickering is gone (but that was the same with the older bios) Changing brightness is still a problem.

yze (kawise) wrote :

@Marteen, the new BIOS is 10G, 10E is older.

yze (kawise) wrote :

oh, and my fan speed has settled back to normal now.

flan_suse (flansuse) wrote :

Flashing the BIOS did the trick!

I can confirm that flashing the BIOS on my MSI Wind u100 solved this problem.

I downloaded the 1.0G BIOS and utility (n011_10g.zip file) from MSI's website: http://msi.com/index.php?func=downloaddetail&type=bios&maincat_no=135&prod_no=1474

I extracted the files to a folder called "MSI" on my bootable SystemRescueCD USB stick. (Go to the SystemRescueCD website to find out how to turn a USB stick into a bootable SystemRescueCD.)

I then rebooted my netbook and held down the F11 key (boot device menu), then selected "USB Hard Drive". Once at the SystemRescueCD welcome screen, I typed: freedos

This booted me into FreeDOS. I selected choice #1 (HIMEM), and then typed c: + ENTER to enter the C:\ drive, which is really the USB stick.

Then I changed into the "MSI" folder: cd MSI

Once inside, I typed: flash.bat

This began the BIOS flashing process. It took about a minute to finish, and the fans ran at full speed while the BIOS was being flashed. (Fans returned to normal after it finished flashing the BIOS.)

After it finished, I hit the power button, then unplugged my AC power cord, and removed the battery. I let it sit for 30 seconds. I popped the battery back in, plugged the power cord back in, then booted up while holding down the DEL key. Once inside the BIOS setup, I went to Exit/Save and chose "Load Defaults". After that I saved and exited, and viola! No more screen brightness issue!

Here is my system information:
MSI Wind u100
Ubuntu 9.10 i386 32-bit
Linux Kernel: 2.6.31-16-generic
Fully updated packages

steeb (steeb) wrote :

i flashed my bios with the new 1.0G Version. Flickering doesn't stop, but the fan normalized.
here a little tutorial for bios flashing the easy way (Without DOS or anything else):

1. Download the new BIOS http://msi.com/index.php?func=downloaddetail&type=bios&maincat_no=135&prod_no=1474
2. Extract the zip file.
3. Copy EN011IMS.10G to a USB-Device (fat32) and rename it to EN011IMS.ROM
4. Shutdown your MSI Wind Netbook. Remove the battary and power supply.
5. Hold the PowerOn/Off-Button while plugging in the power supply.
6. Press PowerOn/Off-Button twice.
7. Press Del to enter Bios.
8. Now there you can choose the option for flashing the BIOS.

1. Download the new BIOS (v. 1.0G) http://msi.com/index.php?func=downloaddetail&type=bios&maincat_no=135&prod_no=1474
2.Extract it
3.Download usbdos http://www.flazh.de/inc/dl.php?dl=bios/usbdos.zip
4.Extract it
5. Download the HP-Boot-Utility http://www.flazh.de/inc/dl.php?dl=bios/bootusb.zip
6. Insert a USB Stick and run the extracted HP-Utility
7. "select your stick" "FAT32", "Create a DOS startup disk", "use system files located at: [select the path to your usbdos directory]" run it
8. Copy the BIOS files to your stick
9. Shutdown an set your BIOS to the defaults
9. Reboot from your stick an write in the DOS-Prompt: "flash.bat"
10. After the flashing process switch of your Netbook and put out the battery for 30 Seconds
11. Put the battery back in and start your WIND
12. have fun!

My Webcam still doesn't work, is there a solution to run USB ports an Webcam as well?

jbob (jbobspam) wrote :

I can confirm, that the 10G Bios is working, but there are only 4 brightness levels, not the possible 8 I've had with the patched g-p-m from #215. Also the easy way of flashing mentioned in #264 is not longer working for me (have done it successfully with version 10D), so had to use the guide from #263 (almost bricked my Wind...).

Also "Put display to sleep when inactive for XX minutes" or "xset dpms force standby" is finally working :-)

matze (matthias-ruegge) wrote :

I can confirm, with BIOS 10G the flickering has gone and I am not able to provoke it again. With the brightness-applet there are 9 levels of brightness available.

MSI Wind U100

I've just upgraded to 1.0G on U100. Still have problem with flickering.

2010/1/6 matze <email address hidden>:
> I can confirm, with BIOS 10G the flickering has gone and I am not able
> to provoke it again. With the brightness-applet there are 9 levels of
> brightness available.
>
> MSI Wind U100
>
> --
> brightness is broken on MSI WIND U100
> https://bugs.launchpad.net/bugs/415023
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Stephen Warren (srwarren) wrote :

For me, on a Wind U100, the BIOS upgrade DOES solve the problem, when I upgrade correctly.

* Upgrading using the method in comment 264 did NOT solve the problem for me. The BIOS setup screens claimed the new BIOS was installed, but I still had the problem.

* Upgrading the BIOS using FreeDOS on a USB memory stick, and MSI's own BIOS upgrade .exe file (included in the .zip you download containing the BIOS image) DID work for me. I notice that many command-line options are passed to the BIOS upgrade app by flash.bat, some of which tell the app to upgrade things other than the main BIOS image. FreeDOS on USB memory stick instructions from http://wiki.fdos.org/Installation/BootDiskCreateUSB.

* After the upgrade, I have just 5 (not 4) brightness levels; when at max/min brightness, you can press the brightness down/up hotkeys 4 times to get 4 *other* levels, so the original plus 4 others is 5.

* The GNOME app (system / preferences / power management) gives me 9 levels of brighness.

* Hence, something is still not quite right. However, at least the current situation is a lot less annoying.

#Ernesto (akeymer) wrote :

MSI wind 100, upgraded to BIOS 10g, with freeBSD method. Flickering gone. 5 levels of contrast with keys, 9 with gnome-power-manager applet.
At last!

Ciccio (franapoli) wrote :

I confirm #269. Thanks Stephen, I was about to give up!

- Method of msg #264 tried and not working.
- Flashing with "flash.bat" (booting from a USB sitck formatted with HP Format Tool) did work.

Note: if you run the update while the wind is on battery (I know, I'm a bad bad guy), it will immediately fail and give the apparently unrelated message:

"bios has no flash information available"

Ciccio (franapoli) wrote :

Oh, one point forgot:

- 5 brightness levels from the Fn keys, 9 from the gnome app. I can clearly see that every time I hit the Fn keys, the brightness is changed twice. It seems we just got to this bug: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/257827

did anyone try with a wind U90 update bios???

2010/1/7 Ciccio <email address hidden>

> Oh, one point forgot:
>
> - 5 brightness levels from the Fn keys, 9 from the gnome app. I can
> clearly see that every time I hit the Fn keys, the brightness is changed
> twice. It seems we just got to this bug:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/257827
>
> --
> brightness is broken on MSI WIND U100
> https://bugs.launchpad.net/bugs/415023
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Gnome Powermanager: Unknown
> Status in KDE Base Workspace: Invalid
> Status in Ubuntu Release Notes: Fix Released
> Status in “hal-info” package in Ubuntu: Fix Released
> Status in “kdebase-workspace” package in Ubuntu: Fix Released
> Status in “linux” package in Ubuntu: Triaged
> Status in “xfce4-power-manager” package in Ubuntu: Invalid
> Status in “hal-info” source package in Lucid: Fix Released
> Status in “kdebase-workspace” source package in Lucid: Fix Released
> Status in “linux” source package in Lucid: Triaged
> Status in “xfce4-power-manager” source package in Lucid: Invalid
> Status in Fedora: New
>
> Bug description:
> Binary package hint: gnome-power-manager
>
> Versions : karmic up to date (08-17-09) with gnome-power-manager version
> 2.27.5-0ubuntu2
>
> What should happen : brightness should not flash.
>
> What happens :
>
> Brightness changing seems broken on my MSI wind U 100.
>
> First in GDM it starts flashing for a good 30 seconds and then the same
> problem happened when the Gnome session begins.
>
> Whenever I try to manually change the brightness a bit too fast (using
> the sliders or the keyboard) it start flashing again.
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/gnome-power/+bug/415023/+subscribe
>

--
-- Giuseppe

Updated my bios to 10.G win a bootable USB pen drive and the flichering gone!

I can confirm that updating the BIOS fixed the issue.

Erwin Junge (erwin-junge) wrote :

I can also confirm that updating the BIOS partially fixed the issue (I have the same 5 levels of brightness thing and concur with the idea that we've migrated to this bug: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/257827

To answer #273: While I don't own a U90 (U100 here), when I checked the bios to check the version, the system info said "Msi Wind U90/U100". To me this indicates that the two systems are synonymous as far as the bios goes. If I owned a U90 I'd try it, but I can't give you any guarantees of course.

The easiest fix I found is to just remove power manager. sudo apt-get
remove-xfce4-power-manager is what I did. Worked fine. You won't have a
power manager, but do you really need it? I keep mine plugged in almost all
the time, so its not an issue for me.

On Sat, Dec 12, 2009 at 11:43 AM, Fruchtpfote <email address hidden> wrote:

> I am talking about Kubuntu (KDE 4.3) I can't deinstall or fix
> gnome-power-manager.
> Here is nearly the same problem (flickering when change brightness by key)
> The patch is only working for GNOME, isn't it?
>
> --
> brightness is broken on MSI WIND U100
> https://bugs.launchpad.net/bugs/415023
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Gnome Powermanager: Unknown
> Status in KDE Base Workspace: Invalid
> Status in Ubuntu Release Notes: Fix Released
> Status in “hal-info” package in Ubuntu: Fix Released
> Status in “kdebase-workspace” package in Ubuntu: Fix Released
> Status in “linux” package in Ubuntu: Triaged
> Status in “xfce4-power-manager” package in Ubuntu: Invalid
> Status in “hal-info” source package in Lucid: Fix Released
> Status in “kdebase-workspace” source package in Lucid: Fix Released
> Status in “linux” source package in Lucid: Triaged
> Status in “xfce4-power-manager” source package in Lucid: Invalid
> Status in Fedora: New
>
> Bug description:
> Binary package hint: gnome-power-manager
>
> Versions : karmic up to date (08-17-09) with gnome-power-manager version
> 2.27.5-0ubuntu2
>
> What should happen : brightness should not flash.
>
> What happens :
>
> Brightness changing seems broken on my MSI wind U 100.
>
> First in GDM it starts flashing for a good 30 seconds and then the same
> problem happened when the Gnome session begins.
>
> Whenever I try to manually change the brightness a bit too fast (using
> the sliders or the keyboard) it start flashing again.
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/gnome-power/+bug/415023/+subscribe
>

Download full text (3.7 KiB)

upgrading bios is very dangerous..... maybe i'll try, sooner or later :)
If I try, I'll tell you how it works.

2010/1/8 <email address hidden> <email address hidden>

> The easiest fix I found is to just remove power manager. sudo apt-get
> remove-xfce4-power-manager is what I did. Worked fine. You won't have a
> power manager, but do you really need it? I keep mine plugged in almost all
> the time, so its not an issue for me.
>
> On Sat, Dec 12, 2009 at 11:43 AM, Fruchtpfote <email address hidden>
> wrote:
>
> > I am talking about Kubuntu (KDE 4.3) I can't deinstall or fix
> > gnome-power-manager.
> > Here is nearly the same problem (flickering when change brightness by
> key)
> > The patch is only working for GNOME, isn't it?
> >
> > --
> > brightness is broken on MSI WIND U100
> > https://bugs.launchpad.net/bugs/415023
> > You received this bug notification because you are a direct subscriber
> > of a duplicate bug.
> >
> > Status in Gnome Powermanager: Unknown
> > Status in KDE Base Workspace: Invalid
> > Status in Ubuntu Release Notes: Fix Released
> > Status in “hal-info” package in Ubuntu: Fix Released
> > Status in “kdebase-workspace” package in Ubuntu: Fix Released
> > Status in “linux” package in Ubuntu: Triaged
> > Status in “xfce4-power-manager” package in Ubuntu: Invalid
> > Status in “hal-info” source package in Lucid: Fix Released
> > Status in “kdebase-workspace” source package in Lucid: Fix Released
> > Status in “linux” source package in Lucid: Triaged
> > Status in “xfce4-power-manager” source package in Lucid: Invalid
> > Status in Fedora: New
> >
> > Bug description:
> > Binary package hint: gnome-power-manager
> >
> > Versions : karmic up to date (08-17-09) with gnome-power-manager version
> > 2.27.5-0ubuntu2
> >
> > What should happen : brightness should not flash.
> >
> > What happens :
> >
> > Brightness changing seems broken on my MSI wind U 100.
> >
> > First in GDM it starts flashing for a good 30 seconds and then the same
> > problem happened when the Gnome session begins.
> >
> > Whenever I try to manually change the brightness a bit too fast (using
> > the sliders or the keyboard) it start flashing again.
> >
> >
> >
> > To unsubscribe from this bug, go to:
> > https://bugs.launchpad.net/gnome-power/+bug/415023/+subscribe
> >
>
> --
> brightness is broken on MSI WIND U100
> https://bugs.launchpad.net/bugs/415023
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Gnome Powermanager: Unknown
> Status in KDE Base Workspace: Invalid
> Status in Ubuntu Release Notes: Fix Released
> Status in “hal-info” package in Ubuntu: Fix Released
> Status in “kdebase-workspace” package in Ubuntu: Fix Released
> Status in “linux” package in Ubuntu: Triaged
> Status in “xfce4-power-manager” package in Ubuntu: Invalid
> Status in “hal-info” source package in Lucid: Fix Released
> Status in “kdebase-workspace” source package in Lucid: Fix Released
> Status in “linux” source package in Lucid: Triaged
> Status in “xfce4-power-manager” source package in Lucid: Invalid
> Status in Fedora: New
>
> Bug description:
> Binary package hint: gnome-power-manager
>
> Versions : kar...

Read more...

I upgraded my U100 as well; having BIOS 10G now, the flickering is still there.
The update makes NO difference here.
I don't recommend it to fix this bug.
Anyway, suspend/resume seems to work faster now ;-)

Ciccio (franapoli) wrote :

Christian, can you confirm that you updated the BIOS using the flash.bat script and not using the BIOS-embedded procedure?

Good news here!
10 minutes ago I successfully flashed my U90 with the 10G BIOS. Now both flickering and webcam (https://bugs.launchpad.net/ubuntu/karmic/+source/linux/+bug/435352) bugs seem to be fixed.
I strictly followed the steps listed at #265.

I hope this helps!

oops. sorry,no. Used the BIOS-embedded version.
I'll try the flash.bat version this week.

I just did the update per flash.bat now.
The flickering is gone definitely on my U100, a fresh Ubuntu with all updates until today.
I have just 5 steps of brightness, but that's fine.

My WebCam is still not working, that's another bug that is not fixed with this update.

swl (weezel-van) wrote :

The webcam bug is fixed. The patch is included in the latest update packages via the update manager.

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/435352

ChaZcaTriX (chazcatrix) wrote :

Try 'sudo dpkg-reconfugure udev' and reboot; that made webcam of my U90 work

2010/1/10 Christian A. Reiter <email address hidden>:
> I just did the update per flash.bat now.
> The flickering is gone definitely on my U100, a fresh Ubuntu with all updates until today.
> I have just 5 steps of brightness, but that's fine.
>
> My WebCam is still not working, that's another bug that is not fixed
> with this update.
>
> --
> brightness is broken on MSI WIND U100
> https://bugs.launchpad.net/bugs/415023
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Gnome Powermanager: Unknown
> Status in KDE Base Workspace: Invalid
> Status in Ubuntu Release Notes: Fix Released
> Status in “hal-info” package in Ubuntu: Fix Released
> Status in “kdebase-workspace” package in Ubuntu: Fix Released
> Status in “linux” package in Ubuntu: Triaged
> Status in “xfce4-power-manager” package in Ubuntu: Invalid
> Status in “hal-info” source package in Lucid: Fix Released
> Status in “kdebase-workspace” source package in Lucid: Fix Released
> Status in “linux” source package in Lucid: Triaged
> Status in “xfce4-power-manager” source package in Lucid: Invalid
> Status in Fedora: New
>
> Bug description:
> Binary package hint: gnome-power-manager
>
> Versions : karmic up to date (08-17-09) with gnome-power-manager version 2.27.5-0ubuntu2
>
> What should happen : brightness should not flash.
>
> What happens :
>
> Brightness changing seems broken on my MSI wind U 100.
>
> First in GDM it starts flashing for a good 30 seconds and then the same problem happened when the Gnome session begins.
>
> Whenever I try to  manually change the brightness  a bit too fast (using the sliders or the keyboard) it start flashing again.
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/gnome-power/+bug/415023/+subscribe
>

Jojo (kuzniarpawel) wrote :

I can confirm that flashing BIOS with dos method works. Flashing is gone.
Previous attempts to flash with bios recovery option failed. Probably
MSI has dual BIOS.
------------------
pozdrawiam
Paweł Kuźniar

2010/1/10 ChaZcaTriX <email address hidden>:
> Try 'sudo dpkg-reconfugure udev' and reboot; that made webcam of my U90
> work
>
> 2010/1/10 Christian A. Reiter <email address hidden>:
>> I just did the update per flash.bat now.
>> The flickering is gone definitely on my U100, a fresh Ubuntu with all updates until today.
>> I have just 5 steps of brightness, but that's fine.
>>
>> My WebCam is still not working, that's another bug that is not fixed
>> with this update.
>>
>> --
>> brightness is broken on MSI WIND U100
>> https://bugs.launchpad.net/bugs/415023
>> You received this bug notification because you are a direct subscriber
>> of a duplicate bug.
>>
>> Status in Gnome Powermanager: Unknown
>> Status in KDE Base Workspace: Invalid
>> Status in Ubuntu Release Notes: Fix Released
>> Status in "hal-info" package in Ubuntu: Fix Released
>> Status in "kdebase-workspace" package in Ubuntu: Fix Released
>> Status in "linux" package in Ubuntu: Triaged
>> Status in "xfce4-power-manager" package in Ubuntu: Invalid
>> Status in "hal-info" source package in Lucid: Fix Released
>> Status in "kdebase-workspace" source package in Lucid: Fix Released
>> Status in "linux" source package in Lucid: Triaged
>> Status in "xfce4-power-manager" source package in Lucid: Invalid
>> Status in Fedora: New
>>
>> Bug description:
>> Binary package hint: gnome-power-manager
>>
>> Versions : karmic up to date (08-17-09) with gnome-power-manager version 2.27.5-0ubuntu2
>>
>> What should happen : brightness should not flash.
>>
>> What happens :
>>
>> Brightness changing seems broken on my MSI wind U 100.
>>
>> First in GDM it starts flashing for a good 30 seconds and then the same problem happened when the Gnome session begins.
>>
>> Whenever I try to manually change the brightness a bit too fast (using the sliders or the keyboard) it start flashing again.
>>
>>
>>
>> To unsubscribe from this bug, go to:
>> https://bugs.launchpad.net/gnome-power/+bug/415023/+subscribe
>>
>
> --
> brightness is broken on MSI WIND U100
> https://bugs.launchpad.net/bugs/415023
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Jorge Juan (jjchico) wrote :

Flashing with flash.bat worked for me. Now I have 5 bright levels when using Fn+F5 or Fn+F6: brightness changes two steps with each key press.

I mostly followed the steps in #265 but used my SystemrescueCD to boot freedos. You can have SystemrescueCD together with a standard Ubuntu install image following this post:

http://tinkabit.wordpress.com/2010/01/11/howto-create-a-ubuntu-system-rescue-cd-usb-startup-disk/

jorge.

xcorex (xcorex) wrote :

The easiest way is to create a freedos USB disk with Unetbootin. Two clicks
and done.
It solved the flickering and the scalling problem of my N280 Wind U123.
Unfortunable, it is now only tree levels from 1Ghz to 1.67 and not four from
800 to 1.67Ghz.

Regards,
Rodrigo Borges

On Mon, Jan 11, 2010 at 9:06 AM, Jorge Juan <email address hidden> wrote:

> Flashing with flash.bat worked for me. Now I have 5 bright levels when
> using Fn+F5 or Fn+F6: brightness changes two steps with each key press.
>
> I mostly followed the steps in #265 but used my SystemrescueCD to boot
> freedos. You can have SystemrescueCD together with a standard Ubuntu
> install image following this post:
>
> http://tinkabit.wordpress.com/2010/01/11/howto-create-a-ubuntu-system-
> rescue-cd-usb-startup-disk/<http://tinkabit.wordpress.com/2010/01/11/howto-create-a-ubuntu-system-rescue-cd-usb-startup-disk/>
>
> jorge.
>
> --
> brightness is broken on MSI WIND U100
> https://bugs.launchpad.net/bugs/415023
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Gnome Powermanager: Unknown
> Status in KDE Base Workspace: Invalid
> Status in Ubuntu Release Notes: Fix Released
> Status in “hal-info” package in Ubuntu: Fix Released
> Status in “kdebase-workspace” package in Ubuntu: Fix Released
> Status in “linux” package in Ubuntu: Triaged
> Status in “xfce4-power-manager” package in Ubuntu: Invalid
> Status in “hal-info” source package in Lucid: Fix Released
> Status in “kdebase-workspace” source package in Lucid: Fix Released
> Status in “linux” source package in Lucid: Triaged
> Status in “xfce4-power-manager” source package in Lucid: Invalid
> Status in Fedora: New
>
> Bug description:
> Binary package hint: gnome-power-manager
>
> Versions : karmic up to date (08-17-09) with gnome-power-manager version
> 2.27.5-0ubuntu2
>
> What should happen : brightness should not flash.
>
> What happens :
>
> Brightness changing seems broken on my MSI wind U 100.
>
> First in GDM it starts flashing for a good 30 seconds and then the same
> problem happened when the Gnome session begins.
>
> Whenever I try to manually change the brightness a bit too fast (using
> the sliders or the keyboard) it start flashing again.
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/gnome-power/+bug/415023/+subscribe
>

issasaur (killpecan) wrote :

Yesterday I installed the netbook remix 9.10 and am having the problem described above (brightness flickering) on my MSI wind u100. While this brightness is flickering is happening, I'm experiencing some serious system slowdown. It will occasionally stop, but the problem will reoccur when i hit a brightness key. My level of expertise in ubuntu is low, so I'd like a very detailed solution for this problem.

Jojo (kuzniarpawel) wrote :

Upgrade your BIOS, which is buggy.
Complete and working solution is presented in comment 265
https://bugs.launchpad.net/ubuntu/+source/hal-info/+bug/415023/comments/265

------------------
pozdrawiam
Paweł Kuźniar

2010/1/11 issasaur <email address hidden>:
> Yesterday I installed the netbook remix 9.10 and am having the problem
> described above (brightness flickering) on my MSI wind u100. While this
> brightness is flickering is happening, I'm experiencing some serious
> system slowdown. It will occasionally stop, but the problem will reoccur
> when i hit a brightness key. My level of expertise in ubuntu is low, so
> I'd like a very detailed solution for this problem.
>
> --
> brightness is broken on MSI WIND U100
> https://bugs.launchpad.net/bugs/415023
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Richard Longland (rlongland) wrote :

I can confirm that following the steps in comment 265 worked for me, with one slight difference:

I am using a Wind U123, so I downloaded the corresponding latest firmware for that model: firmware 10i
http://msi.com/index.php?func=downloaddetail&type=bios&maincat_no=135&prod_no=1763

I also can reproduce the interesting brightness behavior of comment 269.

Cheers,
Rich

Jan Newmarch (jan-newmarch) wrote :

It is now the middle of January 2010, and I have been updating Karmic on my MSI U100+ on a regular basis, including today. The problem still remains, raising and lowering brightness. While this well-known problem doesn't get fixed, I will remain on 9.04 on all my other machines and maybe go back to 9.04 on the netbook too where it was not a problem :-(.

Meki (gnick666) wrote :

Have you even tried the BIOS update?
It isn't enough to just update Ubuntu, you'll have to update the BIOS as well.
There's even a new BIOS available for the u100+, so go for it!
Remember to use the flash.bat, also you can find instructions in previous posts...

Jojo (kuzniarpawel) wrote :

As it was proved the buggy BIOS is an issue. Try tu upgrade to 10G
Complete and working solution is presented in comment 265
https://bugs.launchpad.net/ubuntu/+source/hal-info/+bug/415023/comments/265

------------------
pozdrawiam
Paweł Kuźniar

2010/1/14 Meki <email address hidden>:
> Have you even tried the BIOS update?
> It isn't enough to just update Ubuntu, you'll have to update the BIOS as well.
> There's even a new BIOS available for the u100+, so go for it!
> Remember to use the flash.bat, also you can find instructions in previous posts...
>
> --
> brightness is broken on MSI WIND U100
> https://bugs.launchpad.net/bugs/415023
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Michael Fox (mfox-trentu) wrote :

Bios update worked for me and I have 8 levels of brightness with the F-keys. Webcam still doesn't work, but could that be because I have blacklisted ucvideo? I thought the webcam could still work even with the blacklist.

Jojo (kuzniarpawel) wrote :

delete ucvideo from blacklist

------------------
pozdrawiam
Paweł Kuźniar

2010/1/16 Michael Fox <email address hidden>:
> Bios update worked for me and I have 8 levels of brightness with the
> F-keys.  Webcam still doesn't work, but could that be because I have
> blacklisted ucvideo?  I thought the webcam could still work even with
> the blacklist.
>
> --
> brightness is broken on MSI WIND U100
> https://bugs.launchpad.net/bugs/415023
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Michael Fox (mfox-trentu) wrote :

When I deleted ucvideo from the blacklist, it didn't make the camera work. Not only that, but I lost my usb ports again. Putting it back in the blacklist fixed my usb ports. So I guess they haven't completely fixed the videocamera problem yet. Still, I'm ahead of where I was because the brightness problem is fixed. I can live without the videocam in UNR 9.10; it still works in UNR 9.04, which I also have installed.

Jojo (kuzniarpawel) wrote :

Werid!
On my friend's MSI WIND U100 webcam is working perfectly after lates
updates and removing ucv from blacklist.
I use 32bit 9.10 with netbook remix packages installed not 9.10UNR.
------------------
pozdrawiam
Paweł Kuźniar

2010/1/16 Michael Fox <email address hidden>:
> When I deleted ucvideo from the blacklist, it didn't make the camera
> work.  Not only that, but I lost my usb ports again.  Putting it back in
> the blacklist fixed my usb ports.  So I guess they haven't completely
> fixed the videocamera problem yet.  Still, I'm ahead of where I was
> because the brightness problem is fixed.  I can live without the
> videocam in UNR 9.10; it still works in UNR 9.04, which I also have
> installed.
>
> --
> brightness is broken on MSI WIND U100
> https://bugs.launchpad.net/bugs/415023
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Alessio Treglia (quadrispro) wrote :

Works fine on my MSI U-90 with karmic after installing all latest updates.

--
Alessio Treglia <email address hidden>
Ubuntu MOTU Developer | Homepage: http://www.alessiotreglia.com
0FEC 59A5 E18E E04F 6D40 593B 45D4 8C7C DCFC 3FD0

Michael, Jojo, Allessio. Try having a look at Bug #435352. The fix for the webcam/usb port issue there was distinct from the bios update here. The fix was released into the proposed repository a week or so ago. I got it from there, it works well. I'm not sure it's in the standard update repositories yet. If not, you may need to enable proposed, then update, then remove the blacklist entry. Lots of restarts, but once you're done, it's all pure joy...

Jan Newmarch (jan-newmarch) wrote :

Lucid alpha 2. The problem still exists for mt MSI U100+. First seen in Karmic. Bug did not exist in Jaunty, does not exist in every other distro I have tried except Karmic and Lucid e.g. Fedora Core, Chrome are fine. So it doesn't look like a bios bug since it only occurs in the two Ubuntu distros.

Using the 2.6.31-18 Kernel installed from the backports (you have to enable it) fixed the webcam problem.
(delete the entry in blacklist!)

qrto (qrto) wrote :

Flickering gone for me (U100) after upgrade to lucid. But there are new issues now :) When system is up (kubuntu) battery applet shows there's no battery, but when i run ibam, batter applet starts working fine. Second thing is, power management does not react when removing/adding ac power (no changes to brightness, cpu and so on), but i'll start another bug for this one

Adam Wallner (wallner) wrote :

Hi,
I made a package for MSI WIND U100, which solves the brightness flickering. I've only modified the gpm-brightness.c. You can find the package here: http://linux.bitbaro.hu/en/2010/01/22/msi-wind-u100-and-ubuntu-9-10-karmic-koala/
Maybe somebody can make a general solution from it. Now it's only a hack, but works.

Does this work with xfce?

Adam Wallner wrote:
> Hi,
> I made a package for MSI WIND U100, which solves the brightness flickering. I've only modified the gpm-brightness.c. You can find the package here: http://linux.bitbaro.hu/en/2010/01/22/msi-wind-u100-and-ubuntu-9-10-karmic-koala/
> Maybe somebody can make a general solution from it. Now it's only a hack, but works.
>
>

swl (weezel-van) wrote :

I can confirm that Wallner's hack works. Installed the .deb-package on a MSi Wind U100 and the flickering problem at start up has dissapeared and I can adjust brightness levels normaly.

Wallner's hack works for me too on a U100 with the old bios. Brightness flickering and adjustment issues are both gone. Thanks Wallner!

Christian Loos (cloos) wrote :

Updated the bios to 10G and made a fresh karmic installation with all updates and brightness is working without flickering.

Martin Pitt (pitti) wrote :

This was just discussed at length in #udev. Summary:

  - keys are not hardware wired if the video modules' brightness_switch_enabled parameter is "N", and hardwired if the parameter is "Y" (which is the default in ubuntu Lucid at least, see "cat /sys/module/video/parameters/brightness_switch_enabled")

 - key presses always generate input events on the LNXVIDEO input device, regardless of the brightness_switch_enabled parameter

 - key presses generate input events on the atkbd device (which is controlled by the udev keymap) _if_ brightness_switch_enabled == Y

So in summary, since we always have the LNXVIDEO ones, but only sometimes the duplicate ones from atkbd, we should explicitly blacklist the keys from atkbd, so that things will work on all configurations.

affects: linux (Ubuntu Lucid) → udev (Ubuntu Lucid)
Changed in udev (Ubuntu Lucid):
assignee: nobody → Martin Pitt (pitti)
status: Triaged → In Progress
Martin Pitt (pitti) wrote :

For testing, could you apply http://pastebin.com/f103ec63 to /lib/udev/rules.d/95-keymap.rules and test on an affected system? (Please reboot after the change, to ensure that it's picking up the change).

Martin Pitt (pitti) wrote :

More correctly, the atkbd events are not generated as a consequence of pressing the key, but as a consequence of actually changing the brightness (i. e. they also happen when g-p-m does that due to screen timeout, etc., and they don't happen if g-p-m is not running).

Martin Pitt (pitti) wrote :
Changed in udev (Ubuntu Lucid):
status: In Progress → Fix Committed
Stephen Warren (srwarren) wrote :

Martin, that explanation makes sense, but can you explain why upgrading the BIOS to 10G is also solving the problem for many people? Do you know what the BIOS changed w.r.t. brightness handling? Thanks.

Martin Pitt (pitti) wrote :

Stephen Warren [2010-02-09 16:06 -0000]:
> Martin, that explanation makes sense, but can you explain why upgrading
> the BIOS to 10G is also solving the problem for many people? Do you know
> what the BIOS changed w.r.t. brightness handling?

Not really, I'm afraid. It's well possible that the updated BIOS
changes how the "fake" synthesized keypresses were handled, or drops
that behaviour entirely. But I can really just guess here.

I've flashed the bios and now flickering effect has gone... but usb port has
gone too....
I'm seriously thinking of downgrade to 9.04 or migrate to moblin.

2010/2/9 Stephen Warren <email address hidden>

> Martin, that explanation makes sense, but can you explain why upgrading
> the BIOS to 10G is also solving the problem for many people? Do you know
> what the BIOS changed w.r.t. brightness handling? Thanks.
>
> --
> brightness is broken on MSI WIND U100
> https://bugs.launchpad.net/bugs/415023
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Gnome Powermanager: Unknown
> Status in KDE Base Workspace: Invalid
> Status in Ubuntu Release Notes: Fix Released
> Status in “hal-info” package in Ubuntu: Fix Released
> Status in “kdebase-workspace” package in Ubuntu: Fix Released
> Status in “udev” package in Ubuntu: Fix Committed
> Status in “xfce4-power-manager” package in Ubuntu: Invalid
> Status in “hal-info” source package in Lucid: Fix Released
> Status in “kdebase-workspace” source package in Lucid: Fix Released
> Status in “udev” source package in Lucid: Fix Committed
> Status in “xfce4-power-manager” source package in Lucid: Invalid
> Status in Fedora: New
>
> Bug description:
> Binary package hint: gnome-power-manager
>
> Versions : karmic up to date (08-17-09) with gnome-power-manager version
> 2.27.5-0ubuntu2
>
> What should happen : brightness should not flash.
>
> What happens :
>
> Brightness changing seems broken on my MSI wind U 100.
>
> First in GDM it starts flashing for a good 30 seconds and then the same
> problem happened when the Gnome session begins.
>
> Whenever I try to manually change the brightness a bit too fast (using
> the sliders or the keyboard) it start flashing again.
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/gnome-power/+bug/415023/+subscribe
>

--
-- Giuseppe

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package udev - 151-1

---------------
udev (151-1) lucid; urgency=low

  * New upstream release:
    - Support for systems with SYSFS_DEPRECATED=y officially dropped.
    - Bug fixes.
    - Rules updates. LP: #492657, #316215, #259244, #250732.

  * Merge additional fixes from GIT master:
    - Rules updates. LP: #581496, #415023.
    - Fix firmware error reporting.
 -- Scott James Remnant <email address hidden> Wed, 10 Feb 2010 11:50:56 +0000

Changed in udev (Ubuntu Lucid):
status: Fix Committed → Fix Released
luis.nando (luis-nando) wrote :

Can anyone confirm this bug was fixed so I can upgrade to Karmic?

Meki (gnick666) wrote :

About the last 50 posts were about the fix, how it works, what it does, and what it takes to get it... so yeah, it's fixed...

libertarian (david-treumann) wrote :

It is not fixed!
I have just checked the update manager from the administration menu and it doesn't show any updates with regard to this problem. I don't think that an end-user friendly distribution should expect users to enable repositories containing proposed software. I certainly didn't enable anything and I'm still waiting patiently for the fix.

maxadamo (massimilianoadamo) wrote :

Please, refrain putting comments and comments. It's really confusing now.
This is not yet fixed.
If you use Gnome, the easiest workaround is to install guidance-power-manager (from KDE) and than create a symlink:
$ cd /usr/bin
$ mv gnome-power-manager gnome-power-manager.save
$ ln -sf /usr/share/kde4/apps/guidance-power-manager/guidance-power-manager.py gnome-power-manager

xcorex (xcorex) wrote :

U're wrong. The easiest is to adjust the brightness of
gnome-power-preference to 0%.
By the way, bios update solves the problem.

On Sat, Feb 27, 2010 at 12:32 PM, maxadamo <email address hidden> wrote:

> Please, refrain putting comments and comments. It's really confusing now.
> This is not yet fixed.
> If you use Gnome, the easiest workaround is to install
> guidance-power-manager (from KDE) and than create a symlink:
> $ cd /usr/bin
> $ mv gnome-power-manager gnome-power-manager.save
> $ ln -sf
> /usr/share/kde4/apps/guidance-power-manager/guidance-power-manager.py
> gnome-power-manager
>
> --
> brightness is broken on MSI WIND U100
> https://bugs.launchpad.net/bugs/415023
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Gnome Powermanager: Unknown
> Status in KDE Base Workspace: Invalid
> Status in Ubuntu Release Notes: Fix Released
> Status in “hal-info” package in Ubuntu: Fix Released
> Status in “kdebase-workspace” package in Ubuntu: Fix Released
> Status in “udev” package in Ubuntu: Fix Released
> Status in “xfce4-power-manager” package in Ubuntu: Invalid
> Status in “hal-info” source package in Lucid: Fix Released
> Status in “kdebase-workspace” source package in Lucid: Fix Released
> Status in “udev” source package in Lucid: Fix Released
> Status in “xfce4-power-manager” source package in Lucid: Invalid
> Status in Fedora: New
>
> Bug description:
> Binary package hint: gnome-power-manager
>
> Versions : karmic up to date (08-17-09) with gnome-power-manager version
> 2.27.5-0ubuntu2
>
> What should happen : brightness should not flash.
>
> What happens :
>
> Brightness changing seems broken on my MSI wind U 100.
>
> First in GDM it starts flashing for a good 30 seconds and then the same
> problem happened when the Gnome session begins.
>
> Whenever I try to manually change the brightness a bit too fast (using
> the sliders or the keyboard) it start flashing again.
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/gnome-power/+bug/415023/+subscribe
>

Terries (terriespak) wrote :

Hi all,

If I'm wrong, correct me.
For the Ubuntu users, they should wait for above patched are developed, and apply them in updater, before that, we can just use the work around, right?

andre_uebe (uebe) wrote :

The solution:

[quote]Martin Pitt wrote on 2010-02-09: #312

http://git.kernel.org/?p=linux/hotplug/udev.git;a=commit;h=d7e2d38c1f0ead2239808dd117577a99a3ad3cde[/quote]

Where I upgraded gnome-power-manager:

http://linux.bitbaro.hu/wp-content/uploads/2009/12/gnome-power-manager_2.28.1-0ubuntu1-U100_i386.deb

Worked in my MSI Wind U100x without necessity to change BIOS.

Regards

Andre Uebe

Terries (terriespak) wrote :

Thanks! Andre

It works for my U100Plus.
This problem has been nagging me for a time.

Cinnamon (zerger01) on 2010-03-09
Changed in ubuntu-release-notes:
assignee: nobody → Cinnamon (zerger01)
Steve Langasek (vorlon) on 2010-03-09
Changed in ubuntu-release-notes:
assignee: Cinnamon (zerger01) → nobody
mp459 (mickey-srtdata) wrote :

Thanks, Andre! The fix works with 8 levels of brightness through softkeys.
Y

maxadamo (massimilianoadamo) wrote :

Thanks a lot Andre!!
@ all:
don't even try to change the BIOS (at least: don't do it to fix this issue).
I have the very last version of the BIOS and the screen was flickering.
That's why I was asking the other to refrain tu put confusing information.

Jorge Juan (jjchico) wrote :

Read de old posts: not all the upgrade methods work. One of the method
seems to upgrade (new version is reported at boot) but the firmware is
not (fully?) upgraded. The other method works.

I cannot remember the details. You will have to read the old posts.

Regards.

2010/3/20 maxadamo <email address hidden>:
> Thanks a lot Andre!!
> @ all:
> don't even try to change the BIOS (at least: don't do it to fix this issue).
> I have the very last version of the BIOS and the screen was flickering.
> That's why I was asking the other to refrain tu put confusing information.
>
> --
> brightness is broken on MSI WIND U100
> https://bugs.launchpad.net/bugs/415023
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

--
Jorge Juan

kuciy (kuciy-yuh) wrote :

Thanks Andre!!! It works on my VR420.

Hi,

First, Sorry for my poor English. I installed debian squeeze and I have the same problem. The gnome-system-manager is version 2.28.3.

My solution: I installed xfce and the xcfe-power manager (version 0.8.5) and completely remove gnome-system-manager. This also removes these paqs:

gnome
gnome-accesibility
gnome-core
gnome-desktop-environment

The problem is solved and, by the way, I'm working with xfce that is very fast and easy to use.

It's a partial solution but hope will be helpful for somebody else.

Changed in gnome-power:
status: Unknown → New
Beni Cherniavsky (cben) wrote :

BIOS upgrade to 10G (see #265, #269) fixed it for me too :-)
As others, I can access just 5 levels by hotkeys (seems like 9 levels jumping by 2 each press, hard to prove).
However, after running:

xrandr --output LVDS --set BACKLIGHT_CONTROL combination # no KMS, YMMV

I can access all 9 levels by hotkeys!
What's strange, it keeps working for all BACKLIGHT_CONTROL values, even when I set it back to the original "kernel" value!
So I'm now unable to reproduce the 5 levels situation (will experiment more next time I reboot).

Of the possible BACKLIGHT_CONTROL modes, "kernel" seems best because it allows to read and set the brightness through xrandr:

xrandr -v --verbose | grep -A1 BACKLIGHT
xrandr --output LVDS --set BACKLIGHT 5 # 0..8 inclusive

(again, I'm running with nomodeset => KMS off; xrandr interface details seem to depend on this so YMMV.)

However, with all BACKLIGHT_CONTROL modes, I can read and set the brightness through:

cat /proc/acpi/video/IGD/LCD/brightness
echo 70 | sudo tee /proc/acpi/video/IGD/LCD/brightness # 20..100 inclusive, in steps of 10

The brightness applet is also independent of BACKLIGHT_CONTROL - for all modes, can access all 9 levels but can't read the current level (sometimes its icon says it knows it can't read it, sometimes doesn't - but anyway its level never reflects changes made by hotkeys).

All this leads me to guess the 5-levels issue is still some kind of keystroke-stuffing-triggering-double-adjustment, unrelated to the xrandr interface - but somehow using that xrandr interface once kills this interaction...

Has it anybody tested with Lucid Lynx and can tell if it works?

Maarten Jongepier (jongep86) wrote :

tested and seems to work

On Mon, Apr 26, 2010 at 16:52, Fruchtpfote <email address hidden> wrote:
> Has it anybody tested with Lucid Lynx and can tell if it works?
>
> --
> brightness is broken on MSI WIND U100
> https://bugs.launchpad.net/bugs/415023
> You received this bug notification because you are a direct subscriber
> of the bug.
>

kaiyuen (kaiyuen-2000) on 2010-04-29
Changed in ubuntu-release-notes:
assignee: nobody → kaiyuen (kaiyuen-2000)
Steve Langasek (vorlon) on 2010-04-29
Changed in ubuntu-release-notes:
assignee: kaiyuen (kaiyuen-2000) → nobody
Alexander Skiba (ghostlyrics) wrote :

Concerning the U120: this works perfectly with upgraded BIOS. Using the stock BIOS however will render your netbook useless due to even faster flickering than in Karmic.

Longivus (ddtigre) wrote :

Ubuntu 10.04 keeps having the same error. All started with 9.04 I think , a year ago now...

The actual solutions that I know are:

- Disable gnome-power-manager (work for me).
- Updating BIOS (don't want).
- Disable brightness settings of gnome-power-manager, you will be able to change brightness with hot-keys, but only decrease, increasing make the flickering come back for me (don't make any sense, but it happens).

Really, I think it's about time to solve this issue. Ok, perhaps the origin of the problem is something nasty that MSI have done, but I'm sure that there is a software solution. If you need testing or feedback, only ask.

Related: http://bugs.gentoo.org/show_bug.cgi?id=299194

Xtien (xtien) wrote :

I upgraded to 10.04, I upgraded the bios of my MSI Wind, and the problem has gone.

I installed Lubuntu 10.04 LTS on my U100 with flashed BIOS (flashed with DOS) and what can i say!?
It just works fine! No flickering and now i am able to set brightness in all levels!

Jay-Seattle (viets-jay) wrote :

Problem still seems to exist on my Wind U-120 and not just Ubuntu but seems to also effect every distro based on Ubuntu. My problem appeared after upgrading from Mint 7 to Mint 8, still no luck with MInt 9 or the newest Ubuntu 10.10 Maverick Meerkat.

kuciy (kuciy-yuh) wrote :

it exist on my VR420 too, hope somebody (like Andre) will try to fix it in ubuntu 10

5euros (eamoncollins-gmail) wrote :

Guys,

There are no other options. If you want to cure the problem then you will
need to perform a flash upgrade of the BIOS on your MSI Wind. Believe me it
is worth the (minimal) hassle.

On Wed, Jul 7, 2010 at 15:02, kuciy <email address hidden> wrote:

> it exist on my VR420 too, hope somebody (like Andre) will try to fix it
> in ubuntu 10
>
> --
> brightness is broken on MSI WIND U100
> https://bugs.launchpad.net/bugs/415023
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Gnome Powermanager: New
> Status in KDE Base Workspace: Invalid
> Status in Ubuntu Release Notes: Fix Released
> Status in “hal-info” package in Ubuntu: Fix Released
> Status in “kdebase-workspace” package in Ubuntu: Fix Released
> Status in “udev” package in Ubuntu: Fix Released
> Status in “xfce4-power-manager” package in Ubuntu: Invalid
> Status in “hal-info” source package in Lucid: Fix Released
> Status in “kdebase-workspace” source package in Lucid: Fix Released
> Status in “udev” source package in Lucid: Fix Released
> Status in “xfce4-power-manager” source package in Lucid: Invalid
> Status in Fedora: New
>
> Bug description:
> Binary package hint: gnome-power-manager
>
> Versions : karmic up to date (08-17-09) with gnome-power-manager version
> 2.27.5-0ubuntu2
>
> What should happen : brightness should not flash.
>
> What happens :
>
> Brightness changing seems broken on my MSI wind U 100.
>
> First in GDM it starts flashing for a good 30 seconds and then the same
> problem happened when the Gnome session begins.
>
> Whenever I try to manually change the brightness a bit too fast (using
> the sliders or the keyboard) it start flashing again.
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/gnome-power/+bug/415023/+subscribe
>

Changed in ubuntu-release-notes:
assignee: nobody → Joseph Schulte (jschul16)
assignee: Joseph Schulte (jschul16) → nobody

-----------------------------------------------------------------------

Robert Zaccour wants to stay in better touch using some of Google's coolest new
products.

If you already have Gmail or Google Talk, visit:
http://mail.google.com/mail/b-3ee8e3ec71-7dbb21f919-nfOrOBmpD5dyZVqSDcySy9moce8
You'll need to click this link to be able to chat with Robert Zaccour.

To get Gmail - a free email account from Google with over 2,800 megabytes of
storage - and chat with Robert Zaccour, visit:
http://mail.google.com/mail/a-3ee8e3ec71-7dbb21f919-nfOrOBmpD5dyZVqSDcySy9moce8

Gmail offers:
- Instant messaging right inside Gmail
- Powerful spam protection
- Built-in search for finding your messages and a helpful way of organizing
  emails into "conversations"
- No pop-up ads or untargeted banners - just text ads and related information
  that are relevant to the content of your messages

All this, and its yours for free. But wait, there's more! By opening a Gmail
account, you also get access to Google Talk, Google's instant messaging
service:

http://www.google.com/talk/

Google Talk offers:
- Web-based chat that you can use anywhere, without a download
- A contact list that's synchronized with your Gmail account
- Free, high quality PC-to-PC voice calls when you download the Google Talk
  client

We're working hard to add new features and make improvements, so we might also
ask for your comments and suggestions periodically. We appreciate your help in
making our products even better!

Thanks,
The Google Team

To learn more about Gmail and Google Talk, visit:
http://mail.google.com/mail/help/about.html
http://www.google.com/talk/about.html

(If clicking the URLs in this message does not work, copy and paste them into
the address bar of your browser).

Changed in gnome-power:
importance: Unknown → Medium
Konstantin Lavrov (lacosta) wrote :

The fix that was introduced here is just simple ignoring of Fn+Brightness keys in hal or lately in udev rules.

But it is not fully close the problem:

 1. When brightness is adjusted by keys it is go up or down 2 steps from one keypressing.
 2. Everytime brightness is adjusted 'Unknown key pressed' messeges is logged.

 And since this bug not only related to WSI Wind but clones too, upgrading the BIOS is not the solution for everyone.

 The patch from 527157 is fixed this and others my issues with brightness (on LG X110)

grn (gaurangarora) wrote :

Using MSI Wind U120. Was facing the flickering display / brightness problem.
Updating the BIOS to 1.0I solved the problem.

Since many people didn't want to(read 'were scared') to update the BIOS, I thought it would be a good idea to write down the simple steps. It took a total of 5 minutes for me in all. This is how I did it:

1. Install 'unetbootin' from synaptic/terminal($sudo apt-get install unetbootin)
2. Insert a USB Drive
3. Launch UNetbootin. It should be in Applications>System
4. Choose Distribution as 'FreeDos'. Select your USB Drive and click OK. It will automatically download and install FreeDOS on your USB.
5. Download BIOS update from:
http://www.msi.com/index.php?func=downloaddetail&type=bios&maincat_no=135&prod_no=1697
and extract the contents into the USB Drive.
6. Boot from the drive, choose 'default' from the main menu, and 'FreeDOS Safe Mode' from the submenu.
7. 'cd' to your USB Drive, where you copied the BIOS files. (It was drive c: for me)
7. Run 'FLASH'. After BIOS update completes, disconnect power & remove battery, and then re-insert it.
8. Start up. The issue is no more.

Changed in gnome-power:
status: New → Expired
Kychot (petr-dulos) wrote :

Long time I did not upgrade from Ubuntu 10.10 because of the workaround of this bug I used was simple: To click on "Applications" icon in the Gnome panel when the screen flickering occurs. But this workaround does not work on the Ubuntu 11.04 or higher. But the reliable Ubuntu 10.10 is not supported now so the upgrade is necessary.

So now when upgrading to Ubuntu 12.04 the flickering continues and I didn't find another workaround to fix it. Even if I choose the old Gnome environment and not Unity.

I have the Czech netbook "Mivvy m310" which is the clone (branch) of the MSI Wind U100 but its HW and also BIOS is not fully identical to the original MSI netbook and the manufacturer of the Mivvy strongly not recomends the BIOS upgrade using the original MSI BIOS.

What should I do? Most workarounds in this thread are obsolete and not working for Ubuntu 12.04. So from my point of view this bug is not fixed yet.

Probably this bug occurs now not in the gnome-power-manager but in gnome-settings-daemon. The only workaround I found is to find the ID of this process and kill it:

ps aux | grep /usr/lib/gnome-settings-daemon/gnome-settings-daemon
kill -HUP id

The flickering vanishes, the daemon restarts itself but sometimes some other parts of the GNOME environment are injured (for example some icons on the panel, the background color etc.) But in all cases there is no way to control the brightness of the LCD – it remains the same i.e. low. So the netbook is usable in the darkness only.

I attach the screenshot: see the flickered brightness icon on the right upper corner. The icon on the top of the left panel shows that the load of processor goes to the maximum. And the icon of the CPU1 frequency (the 3-rd from the top on the left panel) vanishes.

I think this bug should be again reopened.

Václav Šmilauer (eudoxos) wrote :

This bug is still present at Mivvy M310 in 12.04. I am not sure which of the packages should be re-opened. I confirm that the workaround in #344 fixes the issue temporarily.

Mau (maugarta-cc) wrote :

Hi,
I've an athec lug netbook ("a MSI clone") and also have the blinking brightness problem after upgrade my Ubuntu 10.04 LTS to 12.04 LTS.
Here you have a workaround that is working fine for me:

sudo chmod u-w /sys/class/backlight/acpi_video0/brightness

And then I can adjust the brightness by keyborad (Fn+...)

Mau

Moleculoman (ivan4comm) wrote :

This bug is still present at MSI PR320 (with Kubuntu 12.04.1)

madbiologist (me-again) wrote :

There are some improvements in this area in the upstream 3.9-rc1 and 3.8.2 kernels - see https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=c11ac2aa520b4777e5b063f8d8e99ce00337dcd9 and https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=da8506288fc4b2cc62d0ba477c2fe2a16f8891b0

While not directly related to this bug, you might also be interested in another patch which is also in the upstream 3.9-rc1 and 3.8.2 kernels - https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=0de6575ad0a8f19ccf91d6e783b2a1bba0edb7a5

madbiologist (me-again) wrote :

My apologies. The above patches are not in the upstream 3.8.2 kernel. They are only in 3.9-rc1.

dino99 (9d9) on 2013-05-04
tags: removed: karmic
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-settings-daemon (Ubuntu Lucid):
status: New → Confirmed
Changed in gnome-settings-daemon (Ubuntu):
status: New → Confirmed
Rolf Leggewie (r0lf) wrote :

lucid has seen the end of its life and is no longer receiving any updates. Marking the lucid task for this ticket as "Won't Fix".

Changed in gnome-settings-daemon (Ubuntu Lucid):
status: Confirmed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.